<?php
/**
 * 404 Page Template
 * 
 * @package Hotelier
 * @author ThemeSuared
 * @link http://themesuared.com/hotelier/
 */
get_header('event'); 
    //Theme Option Translation 
    $spyropress_translate['404-title'] = get_setting( 'translate' ) ? get_setting( 'error-404-title', '404' ) :esc_html__( '404', 'hotelier' );
    $spyropress_translate['404-subtitle'] = get_setting('translate') ? get_setting( 'error-404-subtitle', 'error' ) :esc_html__( 'error', 'hotelier' );
    $spyropress_translate['404-heading'] = get_setting('translate') ? get_setting( 'error-404-heading', 'page not found' ) :esc_html__( 'page not found', 'hotelier' );
    $spyropress_translate['404-subheading'] = get_setting('translate') ? get_setting( 'error-404-subheading', 'You seem to have gotten lost!' ) :esc_html__( 'You seem to have gotten lost!', 'hotelier' );
    $spyropress_translate['404-text'] = get_setting('translate') ? get_setting( 'error-404-text', 'We are sorry, but the page you are looking for does not exist on this website.You may have accidently typed in the wrong address, or followed an expired link. Try clicking on one of the links below to access other pages on this site.' ) :esc_html__( 'We are sorry, but the page you are looking for does not exist on this website.You may have accidently typed in the wrong address, or followed an expired link. Try clicking on one of the links below to access other pages on this site.', 'hotelier' );
?>
<section id="content" class="blog">
	<div class="error-page">
		<div class="error-bg">
			<div class="error-img bg" data-bg="<?php echo esc_url( get_setting( 'error-404-image' ) ); ?>"></div>
			<div class="col-md-6 no-padding">
			</div>
			<div class="col-md-6 no-padding">
				<div class="error-detial">
					<h1 class="error"><?php echo esc_html( $spyropress_translate['404-title']); ?></h1>
					<div class="col-xs-12 col-sm-12 col-md-12 col-centered center-block">
						<!-- Row Start -->
						<div class="row">
							<div class="title">
								<h6><?php echo esc_html( $spyropress_translate['404-subtitle'] ); ?></h6>
								<h1><?php echo esc_html( $spyropress_translate['404-heading'] ); ?></h1>
								<div class="col-xs-4 col-sm-4 col-md-4 cap col-centered center-block">
									<span><img class="img-responsive" src="<?php echo esc_url( framework_assets_img() ); ?>cap.png" alt="" /></span>
								</div>
							</div>
						</div>
						<!-- Row End -->
					</div>
					<h1 class="top-line"><?php echo esc_html( $spyropress_translate['404-subheading'] ); ?></h1>
					<p><?php echo esc_html( $spyropress_translate['404-text'] ); ?></p>
					<?php
                        //Page Menu One. 
                        if( has_nav_menu('page-404-one') ):
                            spyropress_get_nav_menu( array(
                            'container' => 'div',
                            'container_class' => 'links',
                            'menu_class' => '',
                            'menu_id' => '',
                            ),'page-404-one');
                        
                        endif;
                        
                        //Page Menu Two. 
                        if( has_nav_menu('page-404-two') ):
                            spyropress_get_nav_menu( array(
                            'container' => 'div',
                            'container_class' => 'links links-second',
                            'menu_class' => '',
                            'menu_id' => '',
                            ),'page-404-two');
                        
                        endif;
                    ?>
				</div>
			</div>
		</div>
	</div>
</section>
<?php get_footer(); 