/**
    * @package Hotelier Responsive WordPress Theme
    * 
    * Theme Scripts
    * Created by ThemeSquared
    Init JS 

    1. Menu Scroll
    2. Responsive Menu
    3. Stepper
    4. Event
    5. DatePicker
    6. Menu Trigger
    7. Flex Slider.
    8. Video
    9. Toole Tip
    10. Selectric Elements.
    11. Portfolio Filter

*/

;(function($) {

	"use strict";
    
    var Core = {
        
        initialize: function() {

			//Menu Scroll
			this.MenuScroll();
            
            //Stepper
            this.Elementstepper();
            
            //Event
            this.ElementEvent();
            
            //DatePicker.
            this.DatePicker();
            
            //Menu Trigger
            this.MenuTrigger();
            
            //Flex Slider.
            this.flxSlider();
            
            //Video
            this.Video();
            
            //Toole Tip
            this.TooleTip();
            
            //Selectric Elements.
            this.SelectricElements();
            
            //Owl Slider
            this.OwlSlider();
            
            this.googleMap();
            
            //Mega Menu
            this.MegaMenu();

		},
        MenuScroll: function() {
            
            $('body').on('click', '.page-scroll', function(event) {
                var $anchor = $(this);
                $('html, body').stop().animate({
                    scrollTop: $($anchor.attr('href')).offset().top
                }, 1500, 'easeInOutExpo');
                event.preventDefault();
            }); 
            
            $('.cat-item').each(function(){
               var $this = $( this );
               var container = $this.find(' > span');
               var anchor = $this.find(' > a');
               container.addClass('count');
               anchor.append( '<span class="plus"></span>' ) ; 
               anchor.append( container ) ; 
            }); 
            
            //$( '.title-block' ).after('<div class="cat-detail">');  
            //$( '.widget' ).after('</div>');   
            
        },MegaMenu: function(){

            $( ".sf-menu li.sf-mmenu" ).each(function(){

                var $this = $(this)
                $lis = $this.find( ' > ul > li.dropdown-submenu' );
                $this.find( ' > ul ' ).addClass('fullwidth');
                $lis.removeClass( 'dropdown-submenu' ).addClass( 'fhmm-content' );
                $lis.wrapAll( '<li><div class="row"></div></li>' );
                $lis.wrap( '<div class="col-sm-3"></div>' );

                $lis.each(function(){
                    var $this = $(this),
                    $a = $this.children(':first'),
                    $ul = $this.find( ' > ul' );
                    $this.prepend( '<h3 class="title">' + $a.html() + '</h3>' );
                    $a.remove();
                    $ul.removeClass( 'dropdown-menu' );
                });
            });
        },ResponsiveMenu: function(){
            
            $('#mobnav-btn').click(function() {
                $('.sf-menu').toggleClass("xactive");
            });

            $('.mobnav-subarrow').click(function() {
                $(this).parent().toggleClass("xpopdrop");
            });
            
        },
        Elementstepper: function(){
            
       	    $("input[type='number']").stepper();
            
        },
        ElementEvent: function(){
            
            $(".ss-trigger").click(function() {
            	$(".ss-content").addClass("ss-content-act");
            	$(".bn-reserve").removeClass("bn-reserve-act");
            });
            $(".ss-close").click(function() {
            	$(".ss-content").removeClass("ss-content-act");
            });
            
            $(".bn-trigger").click(function() {
            	$(".bn-reserve").addClass("bn-reserve-act");
            	$(".bn-overlay").addClass("active");
            });
            
            $(".bn-close").click(function() {
            	$(".bn-reserve").removeClass("bn-reserve-act");
            	$(".bn-overlay").removeClass("active");
            });
            
            $(".fixed-bn").click(function() {
            	$(".bn-reserve").addClass("bn-reserve-act");
            	$(".bn-overlay").addClass("active");
            });
            
        },
        PortfolioFilter: function(){
            
            "use strict";
            // Isotope
            var $container = $('#masonry-feed');
            $container.isotope({
                itemSelector: '.masonry-item'
            });
            var $optionSets = $('#portfolio-section .filter'),
                $optionLinks = $optionSets.find('a');
            $optionLinks.click(function() {
                var $this = $(this);
                if ($this.hasClass('selected')) {
                    return false;
                }
                var $optionSet = $this.parents('.filter');
                $optionSet.find('.selected').removeClass('selected');
                $this.addClass('selected');
                var options = {},
                    key = $optionSet.attr('data-option-key'),
                    value = $this.attr('data-option-value');
                value = value === 'false' ? false : value;
                options[key] = value;
                if (key === 'layoutMode' && typeof changeLayoutMode === 'function') {
                    changeLayoutMode($this, options);
                } else {
                    $container.isotope(options);
                }
                return false;
            });
            
            var $container = $('#rooms-mason');
            $container.isotope({
                itemSelector: '.rm-item'
            });
            var $optionSets = $('.rm-filter'),
                $optionLinks = $optionSets.find('li a');
            $optionLinks.on('click', function() {
                var $this = $(this);
                if ($this.hasClass('selected')) {
                    return false;
                }
                var $optionSet = $this.parents('.rm-filter');
                $optionSet.find('.selected').removeClass('selected');
                $this.addClass('selected');
                var options = {},
                    key = $optionSet.attr('data-option-key'),
                    value = $this.attr('data-option-value');
                value = value === 'false' ? false : value;
                options[key] = value;
                if (key === 'layoutMode' && typeof changeLayoutMode === 'function') {
                    changeLayoutMode($this, options);
                } else {
                    $container.isotope(options);
                }
                return false;
            });
            
        },
        DatePicker: function(){
            
            $('#datetimepicker1').datetimepicker({
                format: 'DD/MM/YYYY'
            });
            
            $('#datetimepicker2').datetimepicker({
                format: 'DD/MM/YYYY'
            });
            
        },
        MenuTrigger: function(){
            
            $(".menu-trigger").click(function() {
              $(".navbar-default").addClass("nav-active");
              $(".menu-trigger").addClass("mt-hide");
              $(".header").css("z-index","999999");
              $(".pre-header").addClass("ph-hide");
            });
            
            
            $(".menu-close").click(function() {
              $(".navbar-default").removeClass("nav-active");
              $(".menu-trigger").removeClass("mt-hide");
              $(".header").css("z-index","999");
              $(".pre-header").removeClass("ph-hide");
              $(".bn-reserve").removeClass("bn-reserve-act");
            });
            
        },
        flxSlider: function(){
            
            //Slider One
            $('#top-slider').flexslider({
                animation: "slide",	
                controlNav: true,
                directionNav: true,
            	smoothHeight: true
            });
            
            //Slider Two
            $('.b-slider').flexslider({
                animation: "slide",	
                controlNav: true,
                directionNav: true,
            	smoothHeight: true
            });
            
            //Slider Three
            $('.rb-slider').flexslider({
                animation: "slide",	
                controlNav: true,
                directionNav: true,
                controlNav: false,
            	smoothHeight: true
            });
            
            //Slider Four.
            $('.dual-slider').each(function(){
               var $this = $( this );
               //Find Selector.
               var $container = $this.find(".flexslider" );
               var $control = $this.find(".gal-nav-slider li" );
               var $prev = $this.find('.flex-prev');
               var $next = $this.find('.flex-next');
                                               
               $container.flexslider({
            		animation: "fade",
            		slideshow: false,                
            		directionNav: true,
            		controlsContainer: $this,
            		controlNav: true,
            		manualControls: $control
            	});
            	
                //Slider Navigation.
            	$prev.on('click', function(){
                    $container.flexslider('prev')
                    return false;
            	});
            
            	$next.on('click', function(){
            		$container.flexslider('next')
            		return false;
            	}); 
                
            });
            
            
            //Slider Seven
            $('.expert-tip .slider-block #gal-slider').flexslider({
        		animation: "fade",
        		slideshow: false,                
        		directionNav: true,
        		controlNav: true,
        		manualControls: ".expert-tip .slider-block .gal-nav li",
        		sync: ".expert-tip .slider-block #carousel",
        		start:function(slider){
                    $(".slide-current-slide").text(slider.currentSlide+1);
                    $(".slide-total-slides").text("of"+slider.count)
                },
                before:function(slider){
                    $(".slide-current-slide").text(slider.animatingTo+1)
                },
        	});
            
        	//Slider Navigation.
        	$('.expert-tip .slider-block .flex-prev').on('click', function(){
                $('.expert-tip .slider-block #gal-slider').flexslider('prev')
                return false;
        	});
        
        	$('.expert-tip .slider-block .flex-next').on('click', function(){
        	    $('.expert-tip .slider-block #gal-slider').flexslider('next')
        		return false;
        	});
            
            //Slider Eight
            $('.expert-tip .slider-block #carousel').flexslider({
                animation: "slide",
                controlNav: true,
                animationLoop: false,
                slideshow: false,
                itemWidth: 210,
                itemMargin: 5,
            	controlsContainer:$(".expert-tip .custom-controls-container"),
            	customDirectionNav: $(".expert-tip .custom-navigation a"),
                asNavFor: '.expert-tip .slider-block #gal-slider',
            });
            
            //Slider Nine
            $(".expert-tip .slider-block #gal-slider").flexslider({
                // options
                start:function(slider){
                    $(".slide-current-slide").text(slider.currentSlide+1);
                    $(".slide-total-slides").text("of"+slider.count)
                },
                before:function(slider){
                    $(".slide-current-slide").text(slider.animatingTo+1)
                }
            });
            
            //Slider Ten
            $('#gal-slider').flexslider({
            		animation: "slide",
            		slideshow: false,                
            		directionNav: true,
            		controlsContainer: ".bloggal-slider",
            		controlNav: false,
            		manualControls: ".bloggal-slider .gal-nav li",
            		startAt:0,
           	});
            
            //Slider Navigation.
            $('.room-gallery .bloggal-slider .flex-prev').on('click', function(){
                $('.room-gallery .bloggal-slider #gal-slider').flexslider('prev')
                return false;
            });
            
            $('.room-gallery .bloggal-slider .flex-next').on('click', function(){
                $('.room-gallery .bloggal-slider #gal-slider').flexslider('next')
                return false;
            });
            
            //Slider Elven
            $('#gal-slider1').flexslider({
            		animation:"fade",
            		slideshow:false,
            		controlsContainer: $(".villadetail .ocean-breeze .bloggal-slider .custom-controls-container"),
                	customDirectionNav: $(".villadetail .ocean-breeze .bloggal-slider .custom-navigation a"),
            		directionNav:true,
            		controlsContainer:".bloggal-slider",
            		controlNav:true,
            		manualControls:".villadetail .ocean-breeze .bloggal-slider .gal-nav li",
            		startAt:0,
            		
           	});
            
            //Slider Navigation.
            $('.villadetail .ocean-breeze .bloggal-slider .flex-prev').on('click', function(){
                $('#gal-slider').flexslider('prev')
                return false;
            });
            
            $('.villadetail .ocean-breeze .bloggal-slider .flex-next').on('click', function(){
                $('#gal-slider').flexslider('next')
                return false;
            });
            
        },
        Video: function(){
            
            $('.custom-th').click(function() {
                $('.custom-th').fadeOut('fast', function() {
                    $("#thevideo").css("display","block");
                    $("video").click();
                 });
            });
            
        },
        OwlSlider: function(){
             
             //Slider One.
             var owl = $("#gallery-villa");
             owl.owlCarousel({
                  autoPlay: 3000, //Set AutoPlay to 3 seconds
                 
                  itemsCustom : [
                    [0, 1],
                    [450, 1],
                    [600, 2],
                    [700, 2],
                    [1000, 3],
                    [1200, 4],
                    [1400, 4],
                    [1600, 4]
                  ]
             
             });
  	         //Slider Navigation.
             $(".next").click(function(){
        		owl.trigger('owl.next');
       	     });
       	     
             $(".prev").click(function(){
        		owl.trigger('owl.prev');
   	         });
             
             //Slider Two
             var owl = $("#home-gallery");
             owl.owlCarousel({
    			  items : 4, //10 items above 1000px browser width
    			  itemsDesktop : [1000,2], //5 items between 1000px and 901px
    			  itemsDesktopSmall : [900,2], // betweem 900px and 601px
    			  itemsTablet: [767,2], //2 items between 600 and 0
    			  itemsMobile: [600,1]
             });
              
      	     //Slider Navigation.
      	     $(".next").click(function(){
        		owl.trigger('owl.next');
       	     });
       	     $(".prev").click(function(){
        		owl.trigger('owl.prev');
       	     });
             
             //Slider Three
         	 var owl = $("#ab-carousel");
             owl.owlCarousel({
              itemsCustom : [
                [0, 1],
                [450, 1],
                [600, 1],
                [700, 1],
                [1000, 3],
                [1200, 3],
                [1400, 3],
                [1600, 3]
              ],
              navigation : false
            });
            //Slider Navigation.
          	$(".next").click(function(){
        		owl.trigger('owl.next');
       	    });
       	    $(".prev").click(function(){
        		owl.trigger('owl.prev');
       	    });
            
        },
        TooleTip: function(){
            
            $('[data-toggle="tooltip"]').tooltip({
		  	   'container':'body'
		    });
            
            $('.img-tooltip').popover({
        		'trigger':'hover',
        		'html':true,
        		'content':function(){
        		  return "<img src='"+$(this).data('imageUrl')+"'>";
                }
        	});
            
        },
        SelectricElements: function(){
            
       	    $('.main-grid .reservation #get_value').selectric();
    		$('#get_value').selectric();
    		$('#get_value1').selectric();
    		$('#get_value2').selectric();
    		$('#get_value3').selectric();
    		$('#get_value6').selectric();
    		$('#get_value7').selectric();
    		$('#sel_property').selectric();
    		$('#basic').selectric();
    		$('#basic1').selectric();
            
        },googleMap: function(){
            var map_lat = $('#map').data('lat');
            var map_long = $('#map').data('long');
            
           if( map_lat != '' && map_long != '' && $('#map').length > 0 ){
                var map = new GMaps({
                	el: "#map",
                	lat: map_lat,
                	lng: map_long,
                          zoom: 15, 
                          zoomControl : true,
                          zoomControlOpt: {
                            style : "BIG",
                            position: "TOP_LEFT"
                          },
                          panControl : true,
                          streetViewControl : false,
                          mapTypeControl: false,
                          overviewMapControl: false
                      });
                        
                      var styles = [
                            {
                              stylers: [
                                { hue: "#00ffe6" },
                                { saturation: -100 }
                              ]
                            }
                      ];
                        
                      map.addStyle({
                            styledMapName:"Styled Map",
                            styles: styles,
                            mapTypeId: "map_style"  
                      });
                        
                      map.setStyle("map_style");
                
                      map.addMarker({
                        lat: map_lat,
                        lng: map_long,
                        icon: theme_settings.site_assets + "images/mapicon.png"
                      });
                }
                
            }
    }
    
    //Window Documnet Ready Function.
    $(document).ready(function() {
        Core.initialize(); 
        
        //BACKGROUND. 
        $('.bg').each(function(){
           var $this = $(this);
           var bg = $this.data('bg');
           
           if(bg){
             $this.css('background-image', 'url("' + bg + '")');
           } 
        });
        
        $("a[class^='prettyPhoto']").prettyPhoto({
            animationSpeed: 'slow',
            theme: 'light_square',
            slideshow: true,
            overlay_gallery: true,
            social_tools: false,
            deeplinking: false
        });
    });
    
    //Window Documnet On Load Function.
    $(window).load(function() {
        Core.ResponsiveMenu();
        Core.PortfolioFilter();
    }); 
    
    // EXTRAS
    $(".menu-trigger").on('click', function() {
        $(".navbar-default").addClass("nav-active");
        $(".menu-trigger").addClass("mt-hide");
        $(".header").css("z-index", "999999");
        $(".pre-header").addClass("ph-hide");
    });
    
    $(".menu-close").on('click', function() {
        $(".navbar-default").removeClass("nav-active");
        $(".menu-trigger").removeClass("mt-hide");
        $(".header").css("z-index", "999");
        $(".pre-header").removeClass("ph-hide");
        $(".bn-reserve").removeClass("bn-reserve-act");
    });
    
    $(".offers_1 .offer-expand").on('click', function() {
        $(this).parent().toggleClass("active");
        $(this).toggleClass("active");
        $(".offers_1 .offer-expand i").toggleClass("fa-caret-up fa-caret-down");
        $(".offers_2 , .offers_3 , .offers_4 ").removeClass("active");
        $(".offers_2 .offer-expand i, .offers_3 .offer-expand i, .offers_4 .offer-expand i").addClass("fa-caret-down");
        $(".offers_2 .offer-expand i, .offers_3 .offer-expand i, .offers_4 .offer-expand i").removeClass("fa-caret-up");
    });
    
    $(".offers_2 .offer-expand").on('click', function() {
        $(this).parent().toggleClass("active");
        $(this).toggleClass("active");
        $(".offers_2 .offer-expand i").toggleClass("fa-caret-up fa-caret-down");
        $(".offers_1 , .offers_3 , .offers_4 ").removeClass("active");
        $(".offers_1 .offer-expand i, .offers_3 .offer-expand i, .offers_4 .offer-expand i").addClass("fa-caret-down");
        $(".offers_1 .offer-expand i, .offers_3 .offer-expand i, .offers_4 .offer-expand i").removeClass("fa-caret-up");
    
    });
    
    $(".offers_3 .offer-expand").on('click', function() {
        $(this).parent().toggleClass("active");
        $(this).toggleClass("active");
        $(".offers_3 .offer-expand i").toggleClass("fa-caret-up fa-caret-down");
        $(".offers_1 , .offers_2 , .offers_4 ").removeClass("active");
        $(".offers_1 .offer-expand i, .offers_2 .offer-expand i, .offers_4 .offer-expand i").addClass("fa-caret-down");
        $(".offers_1 .offer-expand i, .offers_2 .offer-expand i, .offers_4 .offer-expand i").removeClass("fa-caret-up");
    });
    
    $(".offers_4 .offer-expand").on('click', function() {
        $(this).parent().toggleClass("active");
        $(this).toggleClass("active");
        $(".offers_4 .offer-expand i").toggleClass("fa-caret-up fa-caret-down");
        $(".offers_1 , .offers_2 , .offers_3").removeClass("active");
        $(".offers_2 .offer-expand i, .offers_3 .offer-expand i, .offers_1 .offer-expand i").addClass("fa-caret-down");
        $(".offers_2 .offer-expand i, .offers_3 .offer-expand i, .offers_1 .offer-expand i").removeClass("fa-caret-up");
    });
    
    $(".offers_1 .btn-active").on('click', function() {
        $(".offers_1").toggleClass("active");
        $("offers_1 .offer-expand").toggleClass("active");
        $(".offers_1 .offer-expand i").toggleClass("fa-caret-up fa-caret-down");
        $(".offers_2 , .offers_3 , .offers_4 ").removeClass("active");
        $(".offers_2 .offer-expand i, .offers_3 .offer-expand i, .offers_4 .offer-expand i").addClass("fa-caret-down");
        $(".offers_2 .offer-expand i, .offers_3 .offer-expand i, .offers_4 .offer-expand i").removeClass("fa-caret-up");
    });
    
    $(".offers_2 .btn-active").on('click', function() {
        $(".offers_2").toggleClass("active");
        $("offers_2 .offer-expand").toggleClass("active");
        $(".offers_2 .offer-expand i").toggleClass("fa-caret-up fa-caret-down");
        $(".offers_1 , .offers_3 , .offers_4 ").removeClass("active");
        $(".offers_1 .offer-expand i, .offers_3 .offer-expand i, .offers_4 .offer-expand i").addClass("fa-caret-down");
        $(".offers_1 .offer-expand i, .offers_3 .offer-expand i, .offers_4 .offer-expand i").removeClass("fa-caret-up");
    
    });
    
    $(".offers_3 .btn-active").on('click', function() {
        $(".offers_3").toggleClass("active");
        $("offers_3 .offer-expand").toggleClass("active");
        $(".offers_3 .offer-expand i").toggleClass("fa-caret-up fa-caret-down");
        $(".offers_1 , .offers_2 , .offers_4 ").removeClass("active");
        $(".offers_1 .offer-expand i, .offers_2 .offer-expand i, .offers_4 .offer-expand i").addClass("fa-caret-down");
        $(".offers_1 .offer-expand i, .offers_2 .offer-expand i, .offers_4 .offer-expand i").removeClass("fa-caret-up");
    });
    
    $(".offers_4 .btn-active").on('click', function() {
        $(".offers_4").toggleClass("active");
        $("offers_4 .offer-expand").toggleClass("active");
        $(".offers_4 .offer-expand i").toggleClass("fa-caret-up fa-caret-down");
        $(".offers_1 , .offers_2 , .offers_3").removeClass("active");
        $(".offers_2 .offer-expand i, .offers_3 .offer-expand i, .offers_1 .offer-expand i").addClass("fa-caret-down");
        $(".offers_2 .offer-expand i, .offers_3 .offer-expand i, .offers_1 .offer-expand i").removeClass("fa-caret-up");
    });
    
    function bindNavbar() {
		if ($(window).width() > 768) {
			$('.navbar-default .dropdown').on('mouseover', function(){
				$('.dropdown-toggle', this).next('.dropdown-menu').show();
			}).on('mouseout', function(){
				$('.dropdown-toggle', this).next('.dropdown-menu').hide();
			});
			
			$('.dropdown-toggle').click(function() {
				if ($(this).next('.dropdown-menu').is(':visible')) {
					window.location = $(this).attr('href');
				}
			});
		}
		else {
			$('.navbar-default .dropdown').off('mouseover').off('mouseout');
		}
	}
	
	$(window).resize(function() {
		bindNavbar();
	});
	
	bindNavbar();
    
    if($(".parallax-bg").get(0) && $(window).width() > 991) {
        if(!Modernizr.touch) {
            $(window).stellar({
                responsive:true,
                scrollProperty: 'scroll',
                parallaxElements: false,
                horizontalScrolling: false,
                horizontalOffset: 0,
                verticalOffset: 0
            });
        } else {
            $(".parallax-bg").addClass("disabled");
        }
    }
    
})(jQuery);