<?php
/**
 * Module: Activities
 * Display a brief text with a link and use Image
 *
 * @author 		SpyroSol
 * @category 	BuilderModules
 * @package 	Spyropress
 */

class Spyropress_Module_Activities extends SpyropressBuilderModule {

    /**
     * Constructor
     */
    public function __construct() {

        // Widget variable settings
        $this->path =  get_template_directory().'/framework/builder/modules/activities';
        $this->cssclass = 'module-activities';
        $this->description =esc_html__( 'Display a Activities List', 'hotelier' );
        $this->id_base = 'spyropress_activities';
        $this->name =esc_html__( 'Activities', 'hotelier' );
        
        // Fields
        $this->fields = array (  
            array(
                'label' => esc_html__( 'Title', 'hotelier' ),
                'id' => 'spyropress_title',
                'type' => 'text'
            ),
            
            array(
                'label' => esc_html__( 'Image', 'hotelier' ),
                'id' => 'spyropress_image',
                'type' => 'upload'
            ),
            
            array(
                'label' => esc_html__( 'Content', 'hotelier' ),
                'id' => 'spyropress_content',
                'type' => 'textarea',
                'rows' => 6
            ),
            
            array(
                'label' => esc_html__( 'Meta Setting', 'hotelier' ),
                'type' => 'toggle'
            ),
    
                array(
                    'label' => esc_html__( 'Date', 'hotelier' ),
                    'id' => 'spyropress_date',
                    'type' => 'datepicker'
                ),
        
                array(
                    'label' => esc_html__( 'Time', 'hotelier' ),
                    'id' => 'spyropress_time',
                    'type' => 'text'
                ),
                
                array(
                    'label' => esc_html__( 'Price', 'hotelier' ),
                    'id' => 'spyropress_price',
                    'type' => 'text'
                ),
    
            array( 'type' => 'toggle_end' ),
            
            array(
                'label' =>esc_html__( 'URL/Link Setting', 'hotelier' ),
                'type' => 'toggle'
            ),
    
                array(
                    'label' =>esc_html__( 'Link Text', 'hotelier' ),
                    'id' => 'spyropress_url_text',
                    'type' => 'text'
                ),
        
                array(
                    'label' =>esc_html__( 'URL/Hash', 'hotelier' ),
                    'id' => 'spyropress_url',
                    'type' => 'text'
                ),
    
            array( 'type' => 'toggle_end' ),
                          
        );
        
        $this->create_widget();
    }

    function widget( $spyropress_args, $spyropress_instance ) {

        // extracting info
        extract( $spyropress_args ); extract( $spyropress_instance );
        
        //Required View File
        require( $this->get_view() ); 
    }

}
//Register Module Class Spyropress_Module_Activities
spyropress_builder_register_module( 'Spyropress_Module_Activities' );