<?php
/**
 * Module: Award
 * Display a list of awards
 *
 * @author 		ThemeSquard
 * @category 	BuilderModules
 * @package 	Spyropress
 */

class Spyropress_Module_Award extends SpyropressBuilderModule {

    /**
     * Constructor
     */
    public function __construct() {

        // Widget variable settings
        $this->path =  get_template_directory().'/framework/builder/modules/award';
        $this->cssclass = 'module-award';
        $this->description =esc_html__( 'Display a list of awards', 'hotelier' );
        $this->id_base = 'spyropress_award';
        $this->name =esc_html__( 'Awards List', 'hotelier' );

        // Fields
        $this->fields = array (

            array(
                'label' =>esc_html__( 'Title', 'hotelier' ),
                'id' => 'title',
                'type' => 'text'
            ),

            array(
                'label' =>esc_html__( 'Awards', 'hotelier' ),
                'id' => 'awards',
                'type' => 'repeater',
                'fields' => array(
                    array(
                        'label' =>esc_html__( 'Award', 'hotelier' ),
                        'id' => 'award',
                        'type' => 'upload'
                    ),
                )
            )
        );

        $this->create_widget();
    }

    function widget( $spyropress_args, $spyropress_instance ) {

        // extracting info
        extract( $spyropress_args ); extract( $spyropress_instance );
        
        //Required View File
        require( $this->get_view() ); 
    }

}
//Register Module Class Spyropress_Module_Award
spyropress_builder_register_module( 'Spyropress_Module_Award' );