<?php
/**
 * Contact Info
 * Quickly add contact info to your sidebar e.g. address, phone, email.
 *
 * @package		ThemeSquard
 * @category	Modules
 * @author		SpyroSol
 */

class SpyroPress_Module_Contact_Info extends SpyropressBuilderModule {

    /**
     * Constructor
     */
    function __construct() {

        // Widget variable settings.
        $this->path =  get_template_directory().'/framework/builder/modules/contact';
        $this->cssclass = 'contact_infos';
        $this->description =esc_html__( 'Quickly add contact info to your sidebar e.g. address, phone, email.', 'hotelier' );
        $this->id_base = 'spyropress_contact_infos';
        $this->name =esc_html__( 'Contact Info', 'hotelier' );
        
        //template.
        $this->templates['view'] = array( 'view' => 'view.php', 'label' =>__( 'Style One', 'hotelier' ) );
        $this->templates['view-one'] = array( 'view' => 'view-one.php', 'label' =>__( 'Style Two', 'hotelier' ) );
        
        //Fields
        $this->fields = array(
        
            array(
                'label' =>esc_html__( 'Template', 'hotelier' ),
                'id' => 'template',
                'class' => 'enable_changer section-full',
                'type' => 'select',
                'options' => $this->get_option_templates()
            ),
            
            array(
                'label' =>esc_html__( 'Title', 'hotelier' ),
                'id' => 'spyropress_title',
                'type' => 'text',
                'class' =>'template view-one section-full'
            ),
                
            array(
                'label' =>esc_html__( 'Address', 'hotelier' ),
                'id' => 'spyropress_address',
                'type' => 'textarea',
                'rows' => 3
            ),
                
            array( 'type' => 'row' ),

            array( 'type' => 'col', 'size' => 6 ),
                array(
                    'label' =>esc_html__( 'Near Address', 'hotelier' ),
                    'id' => 'spyropress_near_address',
                    'class' =>'template view section-full',
                    'type' => 'textarea',
                    'rows' => 3
                ),
            
                array(
                    'label' =>esc_html__( 'Email', 'hotelier' ),
                    'id' => 'spyropress_email',
                    'type' => 'text',
                ),
               
            array( 'type' => 'col_end' ),

            array( 'type' => 'col', 'size' => 6 ),
            
                array(
                    'label' =>esc_html__( 'Far Address', 'hotelier' ),
                    'id' => 'spyropress_far_address',
                    'class' =>'template view section-full',
                    'type' => 'textarea',
                    'rows' => 3
                ),
                
                array(
                    'label' =>esc_html__( 'Phone', 'hotelier' ),
                    'id' => 'spyropress_phone',
                    'type' => 'text',
                ),
                
            array( 'type' => 'col_end' ),

            array( 'type' => 'row_end' ),
            
            array(
                'label' =>esc_html__( 'Fax', 'hotelier' ),
                'id' => 'spyropress_fax',
                'class' =>'template view-one section-full',
                'type' => 'text',
            ),
            
            array(
                'label' =>esc_html__( 'Contact Form Seven', 'hotelier' ),
                'type' => 'sub_heading',
                'class' =>'template view-one section-full'
            ),
            
                array(
                    'label' =>esc_html__( 'Form Title', 'hotelier' ),
                    'id' => 'spyropress_form_title',
                    'type' => 'text',
                    'class' =>'template view-one section-full'
                ),
                
                array(
                    'label' =>esc_html__( 'Contact Form', 'hotelier' ),
                    'id' => 'spyropress_form_shortcode',
                    'desc' =>esc_html__( 'Insert Contact Form Seven Shortcode', 'hotelier' ),
                    'type' => 'text',
                    'class' =>'template view-one section-full'
                ),
            
            array(
                'label' =>esc_html__( 'Mailchamp Form', 'hotelier' ),
                'type' => 'sub_heading',
                'class' =>'template view-one section-full'
            ),
            
            array(
                'label' =>esc_html__( 'Form Title', 'hotelier' ),
                'id' => 'spyropress_news_letter_title',
                'type' => 'text',
                'class' =>'template view-one section-full'
            ),
            
            array(
                'label' =>esc_html__( 'Form Description', 'hotelier' ),
                'id' => 'spyropress_news_letter_description',
                'type' => 'text',
                'class' =>'template view-one section-full'
            ),
            
            array(
                'label' =>esc_html__( 'News Letter', 'hotelier' ),
                'id' => 'spyropress_news_letter',
                'desc' =>esc_html__( 'Insert Mailchamp Shortcode', 'hotelier' ),
                'type' => 'text',
                'class' =>'template view-one section-full'
            ),
            
            array(
                'label' =>esc_html__( 'Google Map', 'hotelier' ),
                'type' => 'sub_heading',
                'class' =>'template view-one section-full'
            ),
            
            array(
                'label' =>esc_html__( 'Map Title', 'hotelier' ),
                'id' => 'spyropress_map_title',
                'type' => 'text',
                'class' =>'template view-one section-full'
            ),
            
            array(
                'label' =>esc_html__( 'Latitude', 'hotelier' ),
                'id' => 'spyropress_lat',
                'type' => 'text',
                'class' =>'template view-one section-full'
            ),
            
            array(
                'label' =>esc_html__( 'Longitude', 'hotelier' ),
                'id' => 'spyropress_long',
                'type' => 'text',
                'class' =>'template view-one section-full'
            ),
            
            array(
                'label' =>esc_html__( 'Translation', 'hotelier' ),
                'type' => 'sub_heading'
            ),
            
            array(
                'label' =>esc_html__( 'Address', 'hotelier' ),
                'id' => 'spyropress_tr_address',
                'type' => 'text',
                'std' => 'address'
            ),
            
            array(
                'label' =>esc_html__( 'Telephone', 'hotelier' ),
                'id' => 'spyropress_tr_telephone',
                'type' => 'text',
                'std' => 'telephone'
            ),
            
            array(
                'label' =>esc_html__( 'Email', 'hotelier' ),
                'id' => 'spyropress_tr_email',
                'type' => 'text',
                'std' => 'email'
            ),
            
            array(
                'label' =>esc_html__( 'Fax', 'hotelier' ),
                'id' => 'spyropress_tr_fax',
                'type' => 'text',
                'class' =>'template view-one section-full',
                'std' => 'fax'
            ),
            
            array(
                'label' =>esc_html__( 'Airport Distance', 'hotelier' ),
                'id' => 'spyropress_tr_distance',
                'type' => 'text',
                'class' =>'template view section-full',
                'std' => 'airport distance'
            ),
            
            array(
                'label' =>esc_html__( 'Nearby', 'hotelier' ),
                'id' => 'spyropress_tr_nearby',
                'type' => 'text',
                'class' =>'template view section-full',
                'std' => 'nearby'
            )
        );

        $this->create_widget();
    }

    function widget( $spyropress_args, $spyropress_instance ) {

        // extracting info
        extract( $spyropress_args ); extract( $spyropress_instance );
        
        //Template
        $spyropress_template = isset( $spyropress_instance['template'] ) ? $spyropress_instance['template'] : '';
        
        //Required View File
        require( $this->get_view( $spyropress_template ) ); 
    }

}
//Register Module Class SpyroPress_Module_Contact_Info
spyropress_builder_register_module( 'SpyroPress_Module_Contact_Info' );