<?php
/**
 * Module: Food Menu
 * Display your hotal Food Menu items
 *
 * @author 		ThemeSquard
 * @category 	BuilderModules
 * @package 	Spyropress
 */

class Spyropress_Module_Food_Menu extends SpyropressBuilderModule {
    
	public function __construct() {
       
        // Widget variable settings.
        $this->path =  get_template_directory().'/framework/builder/modules/food-menu';
        $this->cssclass = 'food-menu';
        $this->description =esc_html__( 'Display your hotal Food Menu items.', 'hotelier' );
        $this->idbase = 'spyropress_food_menu';
        $this->name =esc_html__( 'Food Menu', 'hotelier' );
        
        //template.
        $this->templates['view'] = array( 'view' => 'view.php', 'label' =>__( 'Style One', 'hotelier' ) );
        $this->templates['view-one'] = array( 'view' => 'view-one.php', 'label' =>__( 'Style Two', 'hotelier' ) );
        
        // Fields
        $this->fields = array(            
            array(
                'label' =>esc_html__( 'Template', 'hotelier' ),
                'id' => 'template',
                'class' => 'enable_changer section-full',
                'type' => 'select',
                'options' => $this->get_option_templates()
            ),
            
            array( 
                'label' =>esc_html__( 'Currency', 'hotelier' ),
                'id' => 'currency',
                'type' => 'text',
            ),
            
            array( 
                'label' =>esc_html__( 'Image', 'hotelier' ),
                'id' => 'image',
                'class' => 'template view-one section-full',
                'type' => 'upload',
            ),
            
            array( 
                'label' =>esc_html__( 'Title', 'hotelier' ),
                'id' => 'title',
                'class' => 'template view-one section-full',
                'type' => 'text',
            ),
                            
            array(
                'label' =>esc_html__( 'Food Menus', 'hotelier' ),
                'id' => 'mates',
                'type' => 'repeater',
                'item_title' => 'title',
                'fields' => array(
                    array(
                        'label' =>esc_html__( 'Food Menu', 'hotelier' ),
                        'id' => 'heading',
                        'type' => 'repeater',
                        'fields' => array( 
                            array( 
                                'label' =>esc_html__( 'Title', 'hotelier' ),
                                'id' => 'title',
                                'type' => 'text',
                            ),
                            array(
                                'label' =>esc_html__( 'Menu List', 'hotelier' ),
                                'id' => 'list',
                                'type' => 'repeater',
                                'item_title' => 'item',
                                'fields' => array( 
                                     array( 
                                        'label' =>esc_html__( 'Item Title', 'hotelier' ),
                                        'id' => 'item',
                                        'type' => 'text',
                                    ),
                                    
                                    array( 
                                        'label' =>esc_html__( 'Price', 'hotelier' ),
                                        'id' => 'price',
                                        'type' => 'text',
                                    )
                                )
                            )
                        )
                    )
                )
            )
       );
       
       $this->create_widget();
	}
    
    function widget( $spyropress_args, $spyropress_instance ) {

        // extracting info
        extract( $spyropress_args ); extract( $spyropress_instance );
        
        //Template
        $spyropress_template = isset( $spyropress_instance['template'] ) ? $spyropress_instance['template'] : '';
        
        //Required View File
        require( $this->get_view( $spyropress_template ) ); 
    }
}
//Register Module Class Spyropress_Module_Award
spyropress_builder_register_module( 'Spyropress_Module_Food_Menu' );