<?php

/**
 * Module: Gmap
 * Add google map into the page layout wherever needed.
 *
 * @author 		ThemeSquard
 * @category 	BuilderModules
 * @package 	Spyropress
 */

class Spyropress_Module_Gmap extends SpyropressBuilderModule {

    public function __construct() {

        // Widget variable settings
        $this->path =  get_template_directory().'/framework/builder/modules/gmap';
        $this->description =esc_html__( 'Add google map markers work with google map row only.', 'hotelier' );
        $this->id_base = 'gmap_markers';
        $this->name =esc_html__( 'Google Map Markers', 'hotelier' );

        // Fields
        $this->fields = array(
           
            array(
                'label' =>esc_html__( 'Title', 'hotelier' ),
                'id' => 'title',
                'type' => 'text'
            ),
        
            array(
                'label' =>esc_html__( 'Latitude', 'hotelier' ),
                'id' => 'lat',
                'type' => 'text'
            ),
            
            array(
                'label' =>esc_html__( 'Longitude', 'hotelier' ),
                'id' => 'long',
                'type' => 'text'
            )

        );

        $this->create_widget();
    }

    function widget( $spyropress_args, $spyropress_instance ) {

        extract( $spyropress_args ); extract( $spyropress_instance );

        if( empty( $lat ) || empty( $long ) ) return;
        
        $spyropress_pin_url = framework_url() . 'builder/modules/gmap/pin.png';
        
        if( $title ){
            echo '<h3>'. esc_html( $title ) .'</h3>';
        }
        echo '<div class="map">
				<div id="map" data-lat="'. esc_attr( $lat ) .'" data-long="'. esc_html( $long ) .'" data-pin="'. esc_url( $spyropress_pin_url ) .'"></div>
			</div>';
    }
}
//Register Module Class Spyropress_Module_Gmap
spyropress_builder_register_module( 'Spyropress_Module_Gmap' );