<?php
/**
 * Module: HTML
 * Add raw HTML or JavaScript or you can apply Standard WordPress formatting. 
 *
 * @author 		SpyroSol
 * @category 	BuilderModules
 * @package 	Spyropress
 */

class Spyropress_Module_HTML extends SpyropressBuilderModule {
    
	public function __construct() {
	   
       // Widget variable settings.
       $this->path =  get_template_directory().'/framework/builder/modules/html';
       $this->cssclass = 'module-html';
       $this->description =esc_html__( 'Add raw HTML or JavaScript or you can apply Standard WordPress formatting.', 'hotelier' );
       $this->idbase = 'spyropress_html';
       $this->name =esc_html__( 'HTML', 'hotelier' );
       
       // Fields
       $this->fields = array(
       
            array(
                'options' => array(
                    '1' =>esc_html__( 'Apply Wordpress formatting.', 'hotelier' )
                ),
                'id' => 'apply',
                'type' => 'checkbox'
            ),
            
            array(
                'id'        => 'html_text',
                'type'      => 'textarea',
                'class' => 'section-full',
                'rows'      => 15,
                'cols'      => 230
            )
       );
       
       $this->create_widget();
	}
    
    function widget( $spyropress_args, $spyropress_instance ) {

        // extracting info
        $apply = false;
        extract( $spyropress_args ); extract( $spyropress_instance );
        
        //Required View File
        require( $this->get_view() ); 
    }
}
//Register Module Class Spyropress_Module_HTML
spyropress_builder_register_module( 'Spyropress_Module_HTML' );