<?php
/**
 * Module: Images
 * Display a images in Horziontial list.
 *
 * @author 		ThemeSquard
 * @category 	BuilderModules
 * @package 	Spyropress
 */

class Spyropress_Module_Images extends SpyropressBuilderModule {

    /**
     * Constructor
     */
    public function __construct() {

        // Widget variable settings
        $this->path =  get_template_directory().'/framework/builder/modules/image';
        $this->cssclass = 'module-images';
        $this->description =esc_html__( 'Display a images in Horziontial list.', 'hotelier' );
        $this->id_base = 'spyropress_images';
        $this->name =esc_html__( 'Images', 'hotelier' );
        
        //template.
        $this->templates['view'] = array( 'view' => 'view.php', 'label' =>__( 'Style One', 'hotelier' ) );
        $this->templates['view-one'] = array( 'view' => 'view-one.php', 'label' =>__( 'Style Two', 'hotelier' ) );
        $this->templates['view-two'] = array( 'view' => 'view-two.php', 'label' =>__( 'Style Three', 'hotelier' ) );
       
        // Fields
        $this->fields = array (
        
            array(
                'label' =>esc_html__( 'Template', 'hotelier' ),
                'id' => 'template',
                'class' => 'enable_changer section-full',
                'type' => 'select',
                'options' => $this->get_option_templates()
            ),
            array(
                'label' =>esc_html__( 'Images', 'hotelier' ),
                'id' => 'spyropress_images',
                'desc' => 'place your images on left side of module',
                'type' => 'repeater',
                'fields' => array(
                    array(
                        'label' =>esc_html__( 'Image', 'hotelier' ),
                        'id' => 'spyropress_image',
                        'type' => 'upload'
                    ),
                )
            ),
            
            array(
                'label' =>esc_html__( 'Right Content', 'hotelier' ),
                'id' => 'spyropress_bucket',
                'type' => 'select',
                'desc' => 'place your content on right side of module',
                'options' => spyropress_get_buckets()
            ),
        );

        $this->create_widget();
    }

    function widget( $spyropress_args, $spyropress_instance ) {

        // extracting info
        extract( $spyropress_args ); extract( $spyropress_instance );
        
        //Template
        $spyropress_template = isset( $spyropress_instance['template'] ) ? $spyropress_instance['template'] : '';
        
        //Required View File
        require( $this->get_view( $spyropress_template ) ); 
    }

}
//Register Module Class Spyropress_Module_Images
spyropress_builder_register_module( 'Spyropress_Module_Images' );