<?php

/**
 * Module: Promotion
 *
 * @author 		ThemeSquard
 * @category 	SpyropressBuilderModules
 * @package 	Spyropress
 */

class Spyropress_Module_Promotion extends SpyropressBuilderModule {

    public function __construct() {

        /* Widget variable settings. */
        $this->path =  get_template_directory().'/framework/builder/modules/promotion';
        $this->cssclass = 'promotion';
        $this->description =esc_html__( 'Promotion content module.', 'hotelier' );
        $this->id_base = 'promotion';
        $this->name =esc_html__( 'Promotion', 'hotelier' );
        
        //template.
        $this->templates['view'] = array( 'view' => 'view.php', 'label' =>__( 'Style One', 'hotelier' ) );
        $this->templates['view-one'] = array( 'view' => 'view-one.php', 'label' =>__( 'Style Two', 'hotelier' ) );
        
        // Fields
        $this->fields = array(
            
            array(
                'label' =>esc_html__( 'Template', 'hotelier' ),
                'id' => 'template',
                'class' => 'enable_changer section-full',
                'type' => 'select',
                'options' => $this->get_option_templates()
            ),
            
            array( 'type' => 'row' ),

                    array( 'type' => 'col', 'size' => 6 ),
                        
                        array(
                            'label' =>esc_html__( 'Left Content', 'hotelier' ),
                            'type' => 'sub_heading',
                            'class' => 'template view section-full',
                        ),
                        
                        array(
                            'label' =>esc_html__( 'Heading', 'hotelier' ),
                            'id' => 'heading_left',
                            'type' => 'text',
                            'class' => 'template view section-full',
                        ),
                        
                        array(
                            'label' =>esc_html__( 'Teaser', 'hotelier' ),
                            'id' => 'teaser_left',
                            'type' => 'textarea',
                            'rows' => 5,
                            'class' => 'template view section-full',
                        ),
                        
                    
                    array( 'type' => 'col_end' ),

                    array( 'type' => 'col', 'size' => 6 ),
                    
                        array(
                            'label' =>esc_html__( 'Right Content', 'hotelier' ),
                            'type' => 'sub_heading',
                            'class' => 'template view section-full',
                        ),
                        
                        array(
                            'label' =>esc_html__( 'Heading', 'hotelier' ),
                            'id' => 'heading_right',
                            'type' => 'text',
                            'class' => 'template view section-full',
                        ),
                        
                        array(
                            'label' =>esc_html__( 'Teaser', 'hotelier' ),
                            'id' => 'teaser_right',
                            'type' => 'textarea',
                            'rows' => 5,
                            'class' => 'template view section-full',
                        ),
                    
                    array( 'type' => 'col_end' ),

            array( 'type' => 'row_end' ),
            
            
            array(
                'label' =>esc_html__( 'Image', 'hotelier' ),
                'id' => 'image',
                'type' => 'upload',
                'class' => 'template view section-full',
            ),
            
            array(
                'label' =>esc_html__( 'Custom URL Text', 'hotelier' ),
                'id' => 'url_text',
                'type' => 'text',
                'class' => 'template view section-full',
            ),
            
            array(
                'label' =>esc_html__( 'Custom URL', 'hotelier' ),
                'id' => 'url',
                'type' => 'text',
                'class' => 'template view section-full',
            ),
            
            array(
                'label' =>esc_html__( 'Fornt Content', 'hotelier' ),
                'type' => 'sub_heading',
                'class' => 'template view-one section-full',
            ),
            
            array(
                'label' =>esc_html__( 'Heading', 'hotelier' ),
                'id' => 'heading',
                'type' => 'text',
                'class' => 'template view-one section-full',
            ),
            
            array(
                'label' =>esc_html__( 'Description', 'hotelier' ),
                'id' => 'description',
                'type' => 'textarea',
                'rows' => 5,
                'class' => 'template view-one section-full',
            ),
            
            array(
                'label' =>esc_html__( 'Image', 'hotelier' ),
                'id' => 'front_image',
                'type' => 'upload',
                'class' => 'template view-one section-full',
            ),
            
            array(
                'label' =>esc_html__( 'Tab Content', 'hotelier' ),
                'type' => 'sub_heading',
                'class' => 'template view-one section-full',
            ),
            
            array(
                'label' =>esc_html__( 'Tab Image', 'hotelier' ),
                'id' => 'tab_image',
                'type' => 'upload',
                'class' => 'template view-one section-full',
            ),
            
            array(
                'label' =>esc_html__( 'List Title', 'hotelier' ),
                'id' => 'list_title',
                'type' => 'text',
                'class' => 'template view-one section-full',
            ),
            
            array(
                'label' =>esc_html__( 'List Items', 'hotelier' ),
                'id' => 'lists',
                'type' => 'repeater',
                'item_title' => 'list_content',
                'fields' => array(
                    array(
                        'label' =>esc_html__( 'Content', 'hotelier' ),
                        'id' => 'list_content',
                        'type' => 'text',
                        'class' => 'template view-one section-full',
                    )
                ),
            ),
            
            array(
                'label' =>esc_html__( 'Offer Validation Information', 'hotelier' ),
                'type' => 'sub_heading',
                'class' => 'template view-one section-full',
            ),
            
            array(
                'label' =>esc_html__( 'Offer Title', 'hotelier' ),
                'id' => 'offer_title',
                'type' => 'text',
                'class' => 'template view-one section-full',
            ),
            
            array(
                'label' =>esc_html__( 'Offer Vildation', 'hotelier' ),
                'id' => 'offer_val',
                'type' => 'text',
                'class' => 'template view-one section-full',
            ),
            
            array(
                'label' =>esc_html__( 'rate', 'hotelier' ),
                'id' => 'rate',
                'type' => 'text',
                'class' => 'template view-one section-full',
            ),
            
            array(
                'label' =>esc_html__( 'Inquire', 'hotelier' ),
                'id' => 'inquire',
                'type' => 'text',
                'class' => 'template view-one section-full',
            )
        );

        $this->create_widget();
    }

    function widget( $spyropress_args, $spyropress_instance ) {

        // extracting info
        extract( $spyropress_args ); extract( $spyropress_instance );
        
        //Template
        $spyropress_template = isset( $spyropress_instance['template'] ) ? $spyropress_instance['template'] : '';
        
        //Required View File
        require( $this->get_view( $spyropress_template ) ); 
    }

}
//Register Module Class Spyropress_Module_Promotion
spyropress_builder_register_module( 'Spyropress_Module_Promotion' );