<?php

/**
 * Module: Service List
 *
 * @author 		ThemeSquard
 * @category 	SpyropressBuilderModules
 * @package 	Spyropress
 */

class Spyropress_Module_Service_List extends SpyropressBuilderModule {

    /**
     * Constructor
     */
    public function __construct() {
        
        // Widget variable settings
        $this->path =  get_template_directory().'/framework/builder/modules/service-list';
        $this->cssclass = 'module-service-list';
        $this->description =esc_html__( 'Display a list of services.', 'hotelier' );
        $this->id_base = 'service_list';
        $this->name =esc_html__( 'Service List', 'hotelier' );
        
        //template.
        $this->templates['view'] = array( 'view' => 'view.php', 'label' =>__( 'Style One', 'hotelier' ) );
        $this->templates['view-one'] = array( 'view' => 'view-one.php', 'label' =>__( 'Style Two', 'hotelier' ) );
        
        // Fields
        $this->fields = array (
            
            array(
                'label' =>esc_html__( 'Template', 'hotelier' ),
                'id' => 'template',
                'class' => 'enable_changer section-full',
                'type' => 'select',
                'options' => $this->get_option_templates()
            ),
            
            array(
                'label' =>esc_html__( 'Service', 'hotelier' ),
                'id' => 'mates',
                'type' => 'repeater',
                'item_title' => 'heading',
                'fields' => array(
                    array(
                        'label' =>esc_html__( 'Heading', 'hotelier' ),
                        'id' => 'heading',
                        'type' => 'text'
                    )
                )
            )
        );
        
        $this->create_widget();
    }

    function widget( $spyropress_args, $spyropress_instance ) {

        // extracting info
        extract( $spyropress_args ); extract( $spyropress_instance );
        
        //Template
        $spyropress_template = isset( $spyropress_instance['template'] ) ? $spyropress_instance['template'] : '';
        
        //Required View File
        require( $this->get_view( $spyropress_template ) ); 
    }

}
//Register Module Class Spyropress_Module_Service_List
spyropress_builder_register_module( 'Spyropress_Module_Service_List' );