<?php

/**
 * Module: SideBar
 * Place a WordPress Sidebar in to the layout.
 *
 * @author 		ThemeSquard
 * @category 	BuilderModules
 * @package 	Spyropress
 */

class Spyropress_Module_SideBar extends SpyropressBuilderModule {
    
	public function __construct() {
       
       // Widget variable settings.
       $this->cssclass = 'sidebar';
       $this->description =esc_html__( 'Place a WordPress Sidebar in to the layout.', 'hotelier' );
       $this->idbase = 'spyropress_sidebar';
       $this->name =esc_html__( 'SideBar', 'hotelier' );
        
        global $wp_registered_sidebars;
        foreach ( $wp_registered_sidebars as $key => $sidebar )
            $reg_sidebars[$key] = $sidebar['name'];
        
        // Fields
        $this->fields = array(            
            array(
                'label' =>esc_html__( 'Registered Sidebars', 'hotelier' ),
                'id'        => 'sidebar',
                'type'      => 'select',
                'options'   => $reg_sidebars
            )
       );
       
       $this->create_widget();
	}
    
    function widget( $spyropress_args, $spyropress_instance ) {

        // extracting info
        extract( $spyropress_args ); extract( $spyropress_instance );
        
        //Required View File
        require( $this->get_view() ); 
    }
}
//Register Module Class Spyropress_Module_SideBar
spyropress_builder_register_module( 'Spyropress_Module_SideBar' );