<?php

/**
 * Module: Slider
 * Flexslider of images
 *
 * @author 		ThemeSquard
 * @category 	BuilderModules
 * @package 	Spyropress
 */

class Spyropress_Module_FlexSlider extends SpyropressBuilderModule {

    public function __construct() {

        // Widget variable settings.
        $this->path =  get_template_directory().'/framework/builder/modules/slider';
        $this->cssclass = '';
        $this->description =esc_html__( 'Slide content or images using FlexSlider', 'hotelier' );
        $this->idbase = 'spyropress_flexslider';
        $this->name =esc_html__( 'Slider', 'hotelier' );
        
        $this->fields = array(            
            array(
                'label' =>esc_html__('Slider', 'hotelier'),
                'type' => 'repeater',
                'id' => 'slider',
                'fields' => array(
                    array(
                        'label' =>esc_html__('Slides', 'hotelier'),
                        'type' => 'repeater',
                        'id' => 'slides',
                        'fields' => array(
                            array(
                                'label' =>esc_html__('Heading', 'hotelier'),
                                'id' => 'heading',
                                'type' => 'text'
                            ),
                            
                            array(
                                'label' =>esc_html__('Image', 'hotelier'),
                                'id' => 'image',
                                'type' => 'upload'
                            ),
                            
                            array(
                                'label' =>esc_html__('Content', 'hotelier'),
                                'id' => 'content',
                                'type' => 'textarea',
                                'rows' => 6
                            ),
                            
                            array(
                                'label' =>esc_html__('Button Text', 'hotelier'),
                                'id' => 'btn_text',
                                'type' => 'text'
                            ),
                            
                            array(
                                'label' =>esc_html__('Button Url', 'hotelier'),
                                'id' => 'btn_url',
                                'type' => 'text'
                            )
                        )
                    )
                )
            )

        );

        $this->create_widget();
    }

    function widget( $spyropress_args, $spyropress_instance ) {

        // extracting info
        extract( $spyropress_args ); extract( $spyropress_instance );
        
        //Required View File
        require( $this->get_view() ); 
    }

}
//Register Module Class Spyropress_Module_FlexSlider
spyropress_builder_register_module( 'Spyropress_Module_FlexSlider' );