<?php

/**
 * Module: Tabs
 *
 * @author 		ThemeSquard
 * @category 	SpyropressBuilderModules
 * @package 	Spyropress
 */

class Spyropress_Module_Tabs extends SpyropressBuilderModule {

    public function __construct() {

        // Widget variable settings
        $this->path =  get_template_directory().'/framework/builder/modules/tabs';
        $this->description =esc_html__( 'Tab Builder.', 'hotelier' );
        $this->id_base = 'tab';
        $this->name =esc_html__( 'Tabs', 'hotelier' );
        
        //template.
        $this->templates['view'] = array( 'view' => 'view.php', 'label' =>__( 'Style One', 'hotelier' ) );
        $this->templates['view-one'] = array( 'view' => 'view-one.php', 'label' =>__( 'Style Two', 'hotelier' ) );
        
        // Fields
        $this->fields = array(
            array(
                'label' =>esc_html__( 'Template', 'hotelier' ),
                'id' => 'template',
                'class' => 'enable_changer section-full',
                'type' => 'select',
                'options' => $this->get_option_templates()
            ),
        
            array(
                'label' =>esc_html__( 'Tab', 'hotelier' ),
                'id' => 'tabs',
                'class' => 'template view section-full',
                'type' => 'repeater',
                'item_title' => 'title',
                'fields' => array(
                    
                    array(
                        'label' =>esc_html__( 'Title', 'hotelier' ),
                        'id' => 'title',
                        'type' => 'text'
                    ),
                    
                    array(
                        'label' =>esc_html__( 'Tab Icon', 'hotelier' ),
                        'id' => 'icon',
                        'type' => 'select',
                        'desc' => 'If you want to change tab heading icons.',
                        'options' => spyropress_get_options_fontawesome_icons()
                    ),
                    
                    array(
                        'label' =>esc_html__( 'Tab Bucket', 'hotelier' ),
                        'id' => 'bucket',
                        'type' => 'select',
                        'desc' => 'If you want to use html instead of plain text.',
                        'options' => spyropress_get_buckets()
                    ),
                    
                    array(
                        'label' =>esc_html__( 'Content', 'hotelier' ),
                        'id' => 'content',
                        'type' => 'textarea',
                        'rows' => 7
                    ),
                )
            ),
            
            array(
                'label' =>esc_html__( 'Tabs', 'hotelier' ),
                'id' => 'spyropress_tabs',
                'class' => 'template view-one section-full',
                'type' => 'repeater',
                'item_title' => 'title',
                'fields' => array(
                    array(
                        'label' =>esc_html__( 'Title', 'hotelier' ),
                        'id' => 'spyropress_title',
                        'type' => 'text'
                    ),
                    
                    array(
                        'label' =>esc_html__( 'Tab', 'hotelier' ),
                        'id' => 'spyropress_tab',
                        'type' => 'repeater',
                        'item_title' => 'title',
                        'fields' => array(
                            
                            array(
                                'label' =>esc_html__( 'Title', 'hotelier' ),
                                'id' => 'spyropress_title',
                                'type' => 'text'
                            ),
                            
                            array(
                                'label' =>esc_html__( 'Tab Bucket', 'hotelier' ),
                                'id' => 'spyropress_bucket',
                                'type' => 'select',
                                'desc' => 'If you want to use html instead of plain text.',
                                'options' => spyropress_get_buckets()
                            ),
                            
                            array(
                                'label' =>esc_html__( 'Content', 'hotelier' ),
                                'id' => 'spyropress_content',
                                'type' => 'textarea',
                                'rows' => 7
                            )
                        )
                    )
                )
            )
        );

        $this->create_widget();
    }

    function widget( $spyropress_args, $spyropress_instance ) {

        // extracting info
        extract( $spyropress_args ); extract( $spyropress_instance );
        
        //Template
        $spyropress_template = isset( $spyropress_instance['template'] ) ? $spyropress_instance['template'] : '';
        
        //Required View File
        require( $this->get_view( $spyropress_template ) ); 
    }

}
//Register Module Class Spyropress_Module_Tabs
spyropress_builder_register_module( 'Spyropress_Module_Tabs' );