<?php
/*
 * Core Spyropress header template
 *
 * Customise this in your child theme by:
 * - Using hooks and your own functions
 * - Using the 'header-content' template part
 * - For example 'header-content-category.php' for category view or 'header-content.php' (fallback if location specific file not available)
 * - Copying this file to your child theme and customising - it will over-ride this file
 *
 * @package Spyropress
 */
?>
<!DOCTYPE html>
<!--[if IE 8]>			<html class="ie ie8"> <![endif]-->
<!--[if IE 9]>			<html class="ie ie9"> <![endif]-->
<!--[if gt IE 9]><!-->	<html <?php language_attributes(); ?>> <!--<![endif]-->
<head>
    <?php wp_head(); ?>
</head>
<body <?php body_class('pages'); ?>>
<?php spyropress_wrapper(); ?>
    <?php spyropress_before_header(); ?>
    <!-- header -->
     <div id="page-top"></div>
      <?php if( !get_setting( 'sticky_menu' ) && $spyropress_bars = get_setting_array( 'spyropress_bars' ) ): ?> 
         <div class="sticky-menu">
        	<ul>
                <?php 
                    foreach( $spyropress_bars as $spyropress_bar ){
                        $spyropress_link_type = $spyropress_bar['spyropress_link_type'];
                        if( $spyropress_link_type == 'simple' ){
                            echo '<li data-toggle="tooltip" data-placement="right" title="'. esc_attr( $spyropress_bar['spropress_link_tooltip'] ) .'"><a href="'. esc_url($spyropress_bar['spropress_link'] ) .'"><i class="fa '. esc_attr( $spyropress_bar['spyropress_icon'] ) .'"></i></a></li>';    
                        }elseif( $spyropress_link_type == 'scroll' ){
                            echo '<li data-toggle="tooltip" data-placement="right" title="'. esc_attr( $spyropress_bar['spropress_link_tooltip'] ) .'"><a class="page-scroll" href="#'. $spyropress_bar['spropress_link']  .'"><i class="fa '. esc_attr( $spyropress_bar['spyropress_icon'] ) .'"></i></a></li>';       
                        }elseif( $spyropress_link_type == 'social' && $spyropress_social_share = $spyropress_bar['social_share'] ){
                            ?>
                            <li id="sm-share">
                    			<a><i class="fa <?php echo esc_attr( $spyropress_bar['spyropress_icon'] ); ?>"></i></a>
                    			<span class="sm-share">
                                    <?php 
                                        foreach( $spyropress_social_share as $spyropress_social_items ){
                                            echo '<a href="'. esc_url( $spyropress_social_items['url'] ). '" class="fa fa-'. esc_attr( $spyropress_social_items['network'] ) .'"></a>';
                                        }
                                    ?>    
        				        </span>
                    		</li>
                            <?php
                        }
                    }
                ?>
        	</ul>
        </div>   
     <?php
        endif;  
        spyropress_before_header_content();
          
            //get the header content.
            get_template_part( 'templates/header/header', 'v2' );
        
        spyropress_after_header_content();
        
        spyropress_after_header();