<?php

/**
 * Full with
 */
class fullwidth_row_class extends SpyropressBuilderRow {

    public function __construct() {

        $this->config = array(
            'name' =>esc_html__( 'Fullwidth Row', 'hotelier' ),
            'description' =>esc_html__( 'Fullwidth row', 'hotelier' ),
            'icon' => get_panel_img_path( 'layouts/1col.png' ),
            'columns' => array(
                array( 'type' => 'col_11' )
            )
        );
    }
    
    function row_wrapper( $row_ID, $row ) {
        extract( $row['options'] );
         
        // CssClass
        $spyropress_section_class = array('section'); $spyropress_parallax = '';
        if( isset( $skin ) && !empty( $skin ) ){
            $spyropress_section_class[] = $skin;
    
            if( 'parallax' == $skin || 'image-panel' == $skin || 'spa-img-bot' == $skin) {
                
                $spyropress_style = '';
                if( isset( $parallax_bg ) && !empty( $parallax_bg ) ) {
                    $spyropress_style .= ' background-image: url(' . esc_url( $parallax_bg ) .');';
               
                if( !empty( $spyropress_style ) )
                    $spyropress_style = 'style="' . $spyropress_style . '"';
                }
                
                $spyropress_parallax = ' data-stellar-ratio="2" data-stellar-background-ratio="0.5" '. $spyropress_style .'';
            }
        } 
    
        $spyropress_row_html = sprintf( '
            <div id="%1$s" class="%2$s" %5$s>
                <div class="%3$s">
                    %4$s
                </div>
            </div>', $row_ID, spyropress_clean_cssclass( $spyropress_section_class ), get_row_class( true ), builder_render_frontend_columns( $row['columns'] ), $spyropress_parallax
        );

        return $spyropress_row_html;
    }
}
spyropress_builder_register_row( 'fullwidth_row_class' );