<?php

/**
 * Init Theme Related Settings
 */

/** Internal Settings **/
locate_template( 'includes/version.php', true );

/**
 * Required and Recommended Plugins
 */
function spyropress_register_plugins() {

    /**
     * Array of plugin arrays. Required keys are name and slug.
     * If the source is NOT from the .org repo, then source is also required.
     */
    $spyropress_plugins = array(
  
        // Contact Form 7
        array(
            'name'      => esc_html__('Contact Form 7','hotelier'),
            'slug'      => 'contact-form-7',
            'required'  => false,
        ),
        
        array(
            'name'      => esc_html__('MailChimp','hotelier'),
            'slug'      => 'mailchimp-for-wp',
            'required'  => false,
        ),
        
        array(
            'name' => esc_html__('Post Format UI','hotelier'),
            'required' => true,
            'slug' => 'wp-post-formats-develop',
            'source' => include_path() . 'plugins/wp-post-formats-develop.zip'
        ),
        
        array(
            'name' => esc_html__('Custom Post Type','hotelier'),
            'required' => true,
            'slug' => 'cpt',
            'source' => include_path() . 'plugins/cpt.zip'
        ),
        array(
            'name'               => esc_html__('Ef3 Import and Export','hotelier'),
            'slug'               => 'ef3-import-and-export',
            'source'             => 'http://spyropress.com/plugins/ef3-import-and-export.zip',
            'required'           => false,
        )
    );

    $config = array(
        'default_path' => '',                      // Default absolute path to pre-packaged plugins.
        'menu'         => 'tgmpa-install-plugins', // Menu slug.
        'has_notices'  => true,                    // Show admin notices or not.
        'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
        'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
        'is_automatic' => false,                   // Automatically activate plugins after installation or not.
        'message'      => '',                      // Message to output right before the plugins table.
        'strings'      => array(
            'page_title'                      => esc_html__( 'Install Required Plugins', 'hotelier' ),
            'menu_title'                      => esc_html__( 'Install Plugins', 'hotelier' ),
            'installing'                      => esc_html__( 'Installing Plugin: %s', 'hotelier' ), // %s = plugin name.
            'oops'                            => esc_html__( 'Something went wrong with the plugin API.', 'hotelier' ),
            'notice_can_install_required'     => _n_noop( 'This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.', 'hotelier' ), // %1$s = plugin name(s).
            'notice_can_install_recommended'  => _n_noop( 'This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.' , 'hotelier' ), // %1$s = plugin name(s).
            'notice_cannot_install'           => _n_noop( 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.' , 'hotelier' ), // %1$s = plugin name(s).
            'notice_can_activate_required'    => _n_noop( 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.', 'hotelier' ), // %1$s = plugin name(s).
            'notice_can_activate_recommended' => _n_noop( 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.', 'hotelier' ), // %1$s = plugin name(s).
            'notice_cannot_activate'          => _n_noop( 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.', 'hotelier' ), // %1$s = plugin name(s).
            'notice_ask_to_update'            => _n_noop( 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.', 'hotelier' ), // %1$s = plugin name(s).
            'notice_cannot_update'            => _n_noop( 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.', 'hotelier' ), // %1$s = plugin name(s).
            'install_link'                    => _n_noop( 'Begin installing plugin', 'Begin installing plugins', 'hotelier' ),
            'activate_link'                   => _n_noop( 'Begin activating plugin', 'Begin activating plugins', 'hotelier' ),
            'return'                          => esc_html__( 'Return to Required Plugins Installer', 'hotelier' ),
            'plugin_activated'                => esc_html__( 'Plugin activated successfully.', 'hotelier' ),
            'complete'                        => esc_html__( 'All plugins installed and activated successfully. %s', 'hotelier' ), // %s = dashboard link.
            'nag_type'                        => 'updated' // Determines admin notice type - can only be 'updated', 'update-nag' or 'error'.
        )
    );

    tgmpa( $spyropress_plugins, $config );
}
add_action( 'tgmpa_register', 'spyropress_register_plugins' );

/**
 * Add modules and tempaltes to SpyroBuilder
 */
function spyropress_register_builder_modules( $modules ) {

    get_template_part( 'includes/hotelier-row', 'templates' );

    $spyropress_modules[] = 'modules/heading/heading.php';
    $spyropress_modules[] = 'modules/service-list/service-list.php';
    $spyropress_modules[] = 'modules/blog/blog.php';
    $spyropress_modules[] = 'modules/callout/callout.php';
    $spyropress_modules[] = 'modules/promotion/promotion.php';
    $spyropress_modules[] = 'modules/contact/contact.php';
    $spyropress_modules[] = 'modules/info-teaser/info-teaser.php';
    $spyropress_modules[] = 'modules/tabs/tabs.php';
    $spyropress_modules[] = 'modules/food-menu/food-menu.php';
    $spyropress_modules[] = 'modules/award/award.php';
    $spyropress_modules[] = 'modules/image/image.php';
    $spyropress_modules[] = 'modules/slider/slider.php';
    $spyropress_modules[] = 'modules/divider/divider.php';
    $spyropress_modules[] = 'modules/gmap/gmap.php';
    $spyropress_modules[] = 'modules/sidebar/sidebar.php';
    $spyropress_modules[] = 'modules/activities/activities.php';

    return $spyropress_modules;
}
add_filter( 'builder_include_modules', 'spyropress_register_builder_modules' );

/**
 * Define the row wrapper html
 */
function spyropress_row_wrapper( $row_ID, $row ) {
    extract( $row['options'] );
    
    // CssClass
    $spyropress_section_class = array('section'); $spyropress_parallax = '';
    if( isset( $skin ) && !empty( $skin ) ){
        $spyropress_section_class[] = $skin;

        if( 'parallax' == $skin || 'image-panel' == $skin || 'spa-img-bot' == $skin ) {
            
            $spyropress_style = '';
            if( isset( $parallax_bg ) && !empty( $parallax_bg ) ) {
                $spyropress_style .= ' background-image: url(' . esc_url( $parallax_bg ) .');';
           
            if( !empty( $spyropress_style ) )
                $spyropress_style = 'style="' . $spyropress_style . '"';
            }
            
            $spyropress_parallax = ' data-stellar-ratio="2" data-stellar-background-ratio="0.5" '. $spyropress_style .'';
        }
    } 

    $spyropress_row_html = sprintf( '
        <div id="%1$s" class="%2$s" %5$s>
            <div class="container">
                <div class="%3$s">
                    %4$s
                </div>
            </div>
        </div>', $row_ID, spyropress_clean_cssclass( $spyropress_section_class ), get_row_class( true ), builder_render_frontend_columns( $row['columns'] ), $spyropress_parallax
    );

    return $spyropress_row_html;
}
add_filter( 'spyropress_builder_row_wrapper', 'spyropress_row_wrapper', 10, 2 );

/**
 * Comment Callback
 */
if( !function_exists( 'spyropress_comment' ) ) :
function spyropress_comment( $comment, $args, $depth ) {
    //Translation Theme Option
    $spyropress_translate['comment-reply'] = get_setting( 'translate' ) ? get_setting( 'comment-reply', 'Reply' ) :esc_html__( 'Reply', 'hotelier' );
	$GLOBALS['comment'] = $comment;
	switch ( $comment->comment_type ) :
		case 'pingback' :
		case 'trackback' :
	?>
	<li class="post pingback">
		<p><?php _e( 'Pingback:', 'hotelier' ); ?> <?php comment_author_link(); ?><?php edit_comment_link(esc_html__( 'Edit', 'hotelier' ), '<span class="edit-link">', '</span>' ); ?></p>
	<?php
			break;
		default :
	?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
        <div class="comment-block text-left">
			<div class="row">
				<div class="col-xs-12 col-sm-2 col-md-2">
					<?php echo get_avatar( $comment, 62 ); ?>
				</div>
				<div class="col-xs-12 col-sm-10 col-md-10">
					<div class="title-comment">
						<h6><?php comment_author(); ?></h6>
						<ul>
							<li><?php printf(esc_html__( '%1$s at %2$s', 'hotelier' ), get_comment_date(), get_comment_time() ) ?></li>
							<li><?php
                                    comment_reply_link( array_merge( $args, array(
                                        'depth' => $depth,
                                        'reply_text' => $spyropress_translate['comment-reply'],
                                        'max_depth' => $args['max_depth'],
                                        'after' => '<span>&darr;</span>'
                                    ) ) );
                                ?>
                            </li>
						</ul>
					</div>
				    <?php if ( $comment->comment_approved == '0' ) { ?>
                        <p class="comment-awaiting-moderation"><?php _e( 'Your comment is awaiting moderation.', 'hotelier' ); ?></p>
                    <?php
                        }else{
                            comment_text();    
                        }
                        
                    ?>
                </div>
			</div>
		</div>
	<?php
			break;
	endswitch;
}
endif;


/**
 * Pagination Defaults
 */
function spyropress_pagination_defaults( $spyropress_defaults = array() ) {
    
    $spyropress_defaults['container'] = 'div';
    $spyropress_defaults['style'] = 'list';
    $spyropress_defaults['container_class'] = 'pagination-block text-center';
    
    return $spyropress_defaults;
}
add_filter( 'spyropress_pagination_defaults', 'spyropress_pagination_defaults' );

/**
 * oEmbed Modifier
 */
function spyropress_oembed_modifier( $spyropress_html ) {
    
   $spyropress_html = preg_replace( '/(width|height|frameborder|scrolling|webkitallowfullscreen|mozallowfullscreen )="\d*"\s/', "", $spyropress_html );
    
    if( is_str_contain( 'video-container', $spyropress_html ) ) return $spyropress_html;
    
    return '<div class="video">' . $spyropress_html . '</div>';
}
add_filter( 'embed_oembed_html', 'spyropress_oembed_modifier', 10 );
add_filter( 'oembed_result', 'spyropress_oembed_modifier', 10 );