<?php
/**
 * Theme Options
 *
 * @author 		SpyroSol
 * @category 	Admin
 * @package 	Spyropress
 */

global $spyropress_theme_settings;

$spyropress_theme_settings['general'] = array(

	array(
        'label' =>esc_html__( 'General Settings', 'hotelier' ),
        'type' => 'heading',
        'slug' => 'generalsettings',
        'icon' => 'module-icon-general'
    ),

    array(
		'label' =>esc_html__( 'Custom Logo', 'hotelier' ),
        'desc' =>esc_html__( 'Upload a logo for your site or specify an image URL directly.', 'hotelier' ),
		'id' => 'logo',
        'type' => 'upload'
	),

    array(
		'label' =>esc_html__( 'Custom Favicon', 'hotelier' ),
        'desc' =>esc_html__( 'Upload a favicon for your site or specify an icon URL directly.<br/>Accepted formats: ico, png, gif<br/>Dimension: 16px x 16px.', 'hotelier' ),
		'id' => 'custom_favicon',
        'type' => 'upload'
	),

    array(
		'label' =>esc_html__( 'Apple Touch Icon (small)', 'hotelier' ),
        'desc' =>esc_html__( 'Upload apple favicon.<br/>Accepted formats: png<br/>Dimension: 57px x 57px.', 'hotelier' ),
		'id' => 'apple_small',
        'type' => 'upload'
	),

    array(
		'label' =>esc_html__( 'Apple Touch Icon (medium)', 'hotelier' ),
        'desc' =>esc_html__( 'Upload apple favicon.<br/>Accepted formats: png<br/>Dimension: 72px x 72px.', 'hotelier' ),
		'id' => 'apple_medium',
        'type' => 'upload'
	),

    array(
		'label' =>esc_html__( 'Apple Touch Icon (large)', 'hotelier' ),
        'desc' =>esc_html__( 'Upload apple favicon.<br/>Accepted formats: png<br/>Dimension: 114px x 114px.', 'hotelier' ),
		'id' => 'apple_large',
        'type' => 'upload'
	),

); // End General Settings

$spyropress_theme_settings['layout'] = array(

    array(
        'label' =>esc_html__( 'Layout Options', 'hotelier' ),
        'type' => 'heading',
        'slug' => 'layout',
        'icon' => 'module-icon-layout'
    ),
    
    array(
        'label' =>esc_html__( 'Page Breadcrumb', 'hotelier' ),
        'type' => 'sub_heading'
    ),
    
    array(
		'label' =>esc_html__( 'Page Breadcrumb', 'hotelier' ),
		'id' => 'breadcrumb',
        'type' => 'checkbox',
        'options' => array(
            '1' =>esc_html__( 'Disable page Breadcrumb.', 'hotelier' ),
        )
	),
    
    array(
		'label' =>esc_html__( 'Page Breadcrumb', 'hotelier' ),
		'id' => 'breadcrumb_style',
        'class' => 'enable_changer section-full',
        'type' => 'select',
        'options' => array(
            'v1' =>esc_html__( 'Simple Breadcrumb.', 'hotelier' ),
            'v2' =>esc_html__( 'Image Breadcrumb.', 'hotelier' ),
        ),'std' => 'v1'
	),
    
    array(
		'label' =>esc_html__( 'Breadcrumb Heading', 'hotelier' ),
		'id' => 'breadcrumb_heading',
        'class' => 'breadcrumb_style v2 section-full',
        'type' => 'text',
	),
    
    array(
		'label' =>esc_html__( 'Breadcrumb Description', 'hotelier' ),
		'id' => 'breadcrumb_description',
        'class' => 'breadcrumb_style v2 section-full',
        'type' => 'textarea',
        'rows' => 4
	),
    
    array(
		'label' =>esc_html__( 'Breadcrumb Background', 'hotelier' ),
		'id' => 'breadcrumb_bg',
        'class' => 'breadcrumb_style v2 section-full',
        'type' => 'upload',
	),

    array(
        'label' =>esc_html__( 'Custom CSS', 'hotelier' ),
        'type' => 'sub_heading'
    ),

    array(
        'id' => 'custom_css_textarea',
        'type' => 'textarea',
        'rows' => 12,
        'class' => 'section-full'
    )

); // End Layout Options

$spyropress_theme_settings['bar'] = array(

    array(
        'label' => esc_html__( 'Left Fixed Bar Options', 'hotelier' ),
        'type' => 'heading',
        'slug' => 'bar',
        'icon' => 'module-icon-layout'
    ),
    
    array(
		'label' =>esc_html__( 'Sticky Menu', 'hotelier' ),
		'id' => 'sticky_menu',
        'type' => 'checkbox',
        'options' => array(
            '1' =>esc_html__( 'Disable Page Left Side Fixed Bar.', 'hotelier' ),
        )
	),
    
    array(
        'label' => esc_html__( 'Fixed Bar', 'hotelier' ),
        'type' => 'repeater',
        'id' => 'spyropress_bars',
        'hide_label' => true,
        'fields' => array(
            array(
                'label' =>esc_html__( 'Link Type', 'hotelier' ),
                'id' => 'spyropress_link_type',
                'class' => 'enable_changer section-full',
                'type' => 'select',
                'options' => array(
                    'simple' => esc_html__( 'Default', 'hotelier' ),
                    'scroll' => esc_html__( 'Scroll', 'hotelier' ),
                    'social' => esc_html__( 'Social Icons', 'hotelier' ),
                )
            ),
            array(
                'label' =>esc_html__( 'Social Share', 'hotelier' ),
                'id' => 'social_share',
                'type' => 'repeater',
                'item_title' => 'network',
                'fields' => array(
                
                    array(
                    	'label' =>esc_html__( 'URL', 'hotelier' ),
                    	'id' => 'url',
                    	'type' => 'text'
                    ),
        
                    array(
                        'label' =>esc_html__( 'Network', 'hotelier' ),
                        'id' => 'network',
                        'type' => 'select',
                        'options' => spyropress_get_options_social()
                    )
                )
            ),
            array(
                'label' => esc_html__( 'Icon', 'hotelier' ),
                'id' => 'spyropress_icon',
                'type' => 'select',
                'options' => spyropress_get_options_fontawesome_icons()
            ),
            array(
        		'label' => esc_html__( 'Link tooltip Text', 'hotelier' ),
                'desc' => esc_html__( 'Insert text for tooltip text.', 'hotelier' ),
        		'id' => 'spropress_link_tooltip',
                'type' => 'text'
        	),
            array(
        		'label' => esc_html__( 'Link', 'hotelier' ),
                'desc' => esc_html__( 'Link for menu bar item.', 'hotelier' ),
        		'id' => 'spropress_link',
                'type' => 'text'
        	)
        )
    )

); // End Layout Options

$spyropress_theme_settings['customization'] = array(

    array(
        'label' =>esc_html__( 'Header Customization', 'hotelier' ),
        'type' => 'heading',
        'slug' => 'customization',
        'icon' => 'module-icon-layout'
    ),
    
    array(
        'label' =>esc_html__( 'Header Styles', 'hotelier' ),
        'id' => 'header_style',
        'class' => 'enable_changer section-full',
        'type' => 'select',
        'options' => array(
            'v1' =>esc_html__( 'Style One', 'hotelier' ),
            'v2' =>esc_html__( 'Style Two', 'hotelier' ),
        ),
        'std' => 'v1'
    ),
    
    array(
        'label' =>esc_html__( 'Top Bar', 'hotelier' ),
        'type' => 'sub_heading',
        'class' => 'header_style v2 section-full',
    ),
    
     array(
		'label' =>esc_html__( 'Top Bar', 'hotelier' ),
		'id' => 'disable_topbar',
        'type' => 'checkbox',
        'class' => 'header_style v2 section-full',
        'options' => array(
            '1' =>esc_html__( 'Disable Top Bar', 'hotelier' ),
        )
	),
    
    array(
        'label' =>esc_html__( 'Phone', 'hotelier' ),
        'type' => 'text',
        'id' => 'phone',
        'class' => 'header_style v2 section-full',
    ),
    
    array(
        'label' =>esc_html__( 'Chat Link', 'hotelier' ),
        'type' => 'text',
        'id' => 'chat',
        'class' => 'header_style v2 section-full',
    ),
    
    array(
        'label' =>esc_html__( 'Temprture', 'hotelier' ),
        'type' => 'text',
        'id' => 'temp',
        'class' => 'header_style v2 section-full',
    ),
    
    array(
        'id' => 'header_social',
        'type' => 'repeater',
        'class' => 'header_style v2',
        'item_title' => 'network',
        'fields' => array(
        
            array(
            	'label' =>esc_html__( 'URL', 'hotelier' ),
            	'id' => 'url',
            	'type' => 'text'
            ),

            array(
                'label' =>esc_html__( 'Network', 'hotelier' ),
                'id' => 'network',
                'type' => 'select',
                'options' => spyropress_get_options_social()
            )
        )
    ),
    
    array(
        'label' =>esc_html__( 'Search', 'hotelier' ),
        'type' => 'sub_heading'
    ),
    
    array(
		'label' =>esc_html__( 'Search', 'hotelier' ),
		'id' => 'disable_search',
        'type' => 'checkbox',
        'options' => array(
            '1' =>esc_html__( 'Disable Search', 'hotelier' ),
        )
	),
    
    array(
        'label' =>esc_html__( 'Booking', 'hotelier' ),
        'type' => 'sub_heading',
    ),
    
    array(
		'label' =>esc_html__( 'Title', 'hotelier' ),
		'id' => 'booking_title',
        'type' => 'text',
	),

     array(
        'label' =>esc_html__( 'Booking Link', 'hotelier' ),
        'type' => 'text',
        'id' => 'booking_link',
    ),

    
    array(
		'label' =>esc_html__( 'Booking', 'hotelier' ),
		'id' => 'disable_booking',
        
        'type' => 'checkbox',
        'options' => array(
            '1' =>esc_html__( 'Disable Booking', 'hotelier' ),
        )
	)
    
);


$spyropress_theme_settings['footer'] = array(

    array(
        'label' =>esc_html__( 'Footer Customization', 'hotelier' ),
        'type' => 'heading',
        'slug' => 'footer',
        'icon' => 'module-icon-footer'
    ),

    array(
		'label' =>esc_html__( 'Copyright', 'hotelier' ),
        'desc' =>esc_html__( 'Custom HTML and Text that will appear in the footer of your theme.', 'hotelier' ),
		'id' => 'footer_copyright',
        'type' => 'editor'
	)

); // END FOOTER

$spyropress_theme_settings['post'] = array(

    array(
        'label' =>esc_html__( 'Post Options', 'hotelier' ),
        'type' => 'heading',
        'slug' => 'post',
        'icon' => 'module-icon-post'
    ),
    
    array(
		'label'    =>esc_html__( 'Layout', 'hotelier' ),
		'type'    => 'sub_heading'
	),

    array(
		'label' =>esc_html__( 'Blog Layout', 'hotelier' ),
        'id' => 'blog_layout',
		'type' => 'select',
        'class' => 'enable_changer',
        'desc' =>esc_html__( 'Choose Blog post Layout', 'hotelier' ),
		'options' => array(
            'masonry' =>esc_html__( 'Masonry', 'hotelier' ),
            'grid' =>esc_html__( 'Grid', 'hotelier' ),
        ),
		'std' => 'grid'
	),
    
    array(
		'label' =>esc_html__( 'Sidebar Position', 'hotelier' ),
        'id' => 'blog_sidebar_position',
        'desc' =>esc_html__( 'Choose Blog post Sidebar Layout', 'hotelier' ),
		'type' => 'select',
		'options' => array(
            'full' =>esc_html__( 'Full Side', 'hotelier' ),
            'left' =>esc_html__( 'Left Side', 'hotelier' ),
            'right' =>esc_html__( 'Right Side', 'hotelier' )
        ),
		'std' => 'right'
	),
    
    array(
		'label' =>esc_html__( 'Single Layout', 'hotelier' ),
        'id' => 'blog_single_layout',
        'desc' =>esc_html__( 'Choose Blog post Single Page Layout', 'hotelier' ),
		'type' => 'select',
		'options' => array(
            'full' =>esc_html__( 'Full Side Layout', 'hotelier' ),
            'left' =>esc_html__( 'Left Side Layout', 'hotelier' ),
            'right' =>esc_html__( 'Right Side Layout', 'hotelier' )
        ),
		'std' => 'right'
	),
    
    array(
		'label' =>esc_html__( 'Social Share Icons', 'hotelier' ),
		'id' => 'post_social_sharing',
        'type' => 'checkbox',
        'options' => array(
            '1' =>esc_html__( 'Activate Social Share Icons.', 'hotelier' ),
        )
	),

    array(
		'label' =>esc_html__( 'Excerpt Settings', 'hotelier' ),
		'type' => 'sub_heading'
	),

    array(
        'label' =>esc_html__( 'Length by', 'hotelier' ),
        'id' => 'excerpt_by',
        'type' => 'select',
        'options' => array (
            '' => '',
            'words' =>esc_html__( 'Words', 'hotelier' ),
            'chars' =>esc_html__( 'Character', 'hotelier' ),
        ),
        'std' => 'words'
	),

    array(
		'label' =>esc_html__( 'Length', 'hotelier' ),
        'desc' =>esc_html__( 'Set the length of excerpt.', 'hotelier' ),
		'id' => 'excerpt_length',
        'type' => 'text',
        'std' => 30
	),

    array(
		'label' =>esc_html__( 'Ellipsis', 'hotelier' ),
        'desc' =>esc_html__( 'This is the description field, again good for additional info.', 'hotelier' ),
		'id' => 'excerpt_ellipsis',
        'type' => 'text',
        'std' => '&hellip;'
	),

    array(
		'label' =>esc_html__( 'Before Text', 'hotelier' ),
        'desc' =>esc_html__( 'This is the description field, again good for additional info.', 'hotelier' ),
		'id' => 'excerpt_before_text',
        'type' => 'text',
        'std' => '<p>'
	),

    array(
		'label' =>esc_html__( 'After Text', 'hotelier' ),
        'desc' =>esc_html__( 'This is the description field, again good for additional info.', 'hotelier' ),
		'id' => 'excerpt_after_text',
        'type' => 'text',
        'std' => '</p>'
	),

    array(
		'label' =>esc_html__( 'Read More', 'hotelier' ),
		'id' => 'excerpt_link_to_post',
        'type' => 'checkbox',
        'options' => array(
            1 =>esc_html__( 'Enable or disable Read more link.', 'hotelier' ),
        ),
        'std' => 1
	),

    array(
		'label' =>esc_html__( 'Link Text', 'hotelier' ),
        'desc' =>esc_html__( 'A text for Read More button.', 'hotelier' ),
		'id' => 'excerpt_link_text',
        'type' => 'text',
        'std' => 'Continue Reading..'
	),

    array(
		'label' =>esc_html__( 'Related Posts', 'hotelier' ),
        'desc' =>esc_html__( 'Show related posts on single page.', 'hotelier' ),
		'type' => 'sub_heading'
	),

    array(
		'id' => 'related_post_enable',
        'type' => 'checkbox',
        'options' => array(
            1 =>esc_html__( 'Enable related posts.', 'hotelier' ),
        ),
        'std' => '1'
	),

    array(
		'label' =>esc_html__( 'Related Posts Title', 'hotelier' ),
        'desc' =>esc_html__( 'Write the title.', 'hotelier' ),
		'id' => 'related_post_title',
        'type' => 'text',
        'std' =>esc_html__( 'Related Posts', 'hotelier' )
	),

    array(
		'label' =>esc_html__( 'Number Of Posts', 'hotelier' ),
        'desc' =>esc_html__( 'Set the number of related post.', 'hotelier' ),
		'id' => 'related_post_number',
        'type' => 'range_slider',
        'max' => '20',
        'min' => '1',
        'std' => 4
	),

    array(
		'label' =>esc_html__( 'Related Posts By', 'hotelier' ),
        'desc' =>esc_html__( 'Choose the tag or category to show related post.', 'hotelier' ),
        'id' => 'related_post_by',
		'type' => 'select',
		'options' => array(
            'tags' =>esc_html__( 'Tags', 'hotelier' ),
            'category' =>esc_html__( 'Category', 'hotelier' )
        ),
		'std' => 'tags'
	),

); // End Blog Settings

$spyropress_theme_settings['translate'] = array(

	array(
        'label' =>esc_html__( 'Translate', 'hotelier' ),
        'type' => 'heading',
        'slug' => 'translate',
        'icon' => 'module-icon-docs'
    ),

    array(
		'label' =>esc_html__( 'General', 'hotelier' ),
		'type' => 'sub_heading'
	),

    array(
        'desc' =>esc_html__( 'Turn it off if you want to use .mo .po files for more complex translation.', 'hotelier' ),
		'id' => 'translate',
        'type' => 'checkbox',
        'options' => array(
            1 =>esc_html__( 'Enable Translate', 'hotelier' ),
        ),
        'std' => '1'
	),

    array(
		'label' =>esc_html__( 'Home', 'hotelier' ),
        'desc' =>esc_html__( 'Breadcrumb and Menu', 'hotelier' ),
		'id' => 'translate-home',
        'type' => 'text',
        'std' => 'Home'
	),

    array(
		'label' =>esc_html__( 'Menu', 'hotelier' ),
        'desc' =>esc_html__( 'Responsive Menu', 'hotelier' ),
		'id' => 'nav-menu',
        'type' => 'text',
        'std' => 'Menu'
	),

    array(
		'label' =>esc_html__( 'Search Placeholder', 'hotelier' ),
        'desc' =>esc_html__( 'Search widget', 'hotelier' ),
		'id' => 'search-placeholder',
        'type' => 'text',
        'std' => 'Search..'
	),

    array(
		'label' =>esc_html__( 'Search Button', 'hotelier' ),
        'desc' =>esc_html__( 'Search widget button', 'hotelier' ),
		'id' => 'search-btn',
        'type' => 'text',
        'std' => 'Go'
	),

    array(
		'label' =>esc_html__( 'Blog & Archives', 'hotelier' ),
		'type' => 'sub_heading'
	),

    array(
		'id' => 'translate-comment',
		'type' => 'text',
		'label' =>esc_html__('Comment', 'hotelier'),
		'desc' =>esc_html__('Text to display when there is one comment', 'hotelier'),
		'std' => 'Comment'
	),

	array(
		'id' => 'translate-comments',
		'type' => 'text',
		'label' =>esc_html__('Comments', 'hotelier'),
		'desc' =>esc_html__('Text to display when there are more than one comments', 'hotelier'),
		'std' => 'Comments'
	),

	array(
		'id' => 'translate-comments-off',
		'type' => 'text',
		'label' =>esc_html__('Comments closed', 'hotelier'),
		'desc' =>esc_html__('Text to display when comments are disabled', 'hotelier'),
		'std' => 'Comments are closed.'
	),

     array(
		'id' => 'comment-reply',
		'type' => 'text',
		'label' =>esc_html__('Reply', 'hotelier'),
		'desc' =>esc_html__('Text to display on comment Reply Button', 'hotelier'),
		'std' => 'Reply'
	),

    array(
		'label' =>esc_html__( 'Blog', 'hotelier' ),
        'desc' =>esc_html__( 'Blog', 'hotelier' ),
		'id' => 'blog-title',
        'type' => 'text',
        'std' => '<span>Our</span> Blog'
	),

    array(
		'label' =>esc_html__( 'Category', 'hotelier' ),
        'desc' =>esc_html__( 'Archive', 'hotelier' ),
		'id' => 'cat-title',
        'type' => 'text',
        'std' => '<span>Category:</span> %s'
	),

    array(
		'label' =>esc_html__( 'Tag', 'hotelier' ),
        'desc' =>esc_html__( 'Archive', 'hotelier' ),
		'id' => 'tag-title',
        'type' => 'text',
        'std' => '<span>Tag:</span> %s'
	),

    array(
		'label' =>esc_html__( 'Day', 'hotelier' ),
        'desc' =>esc_html__( 'Archive', 'hotelier' ),
		'id' => 'day-title',
        'type' => 'text',
        'std' => '<span>Daily:</span> %s'
	),

    array(
		'label' =>esc_html__( 'Month', 'hotelier' ),
        'desc' =>esc_html__( 'Archive', 'hotelier' ),
		'id' => 'month-title',
        'type' => 'text',
        'std' => '<span>Monthly:</span> %s'
	),

    array(
		'label' =>esc_html__( 'Year', 'hotelier' ),
        'desc' =>esc_html__( 'Archive', 'hotelier' ),
		'id' => 'year-title',
        'type' => 'text',
        'std' => '<span>Yearly:</span> %s'
	),

    array(
		'label' =>esc_html__( 'Archive', 'hotelier' ),
        'desc' =>esc_html__( 'Archive', 'hotelier' ),
		'id' => 'archive-title',
        'type' => 'text',
        'std' => 'Archives'
	),

    array(
		'label' =>esc_html__( 'Search', 'hotelier' ),
        'desc' =>esc_html__( 'Search result page', 'hotelier' ),
		'id' => 'search-title',
        'type' => 'text',
        'std' => 'Search results: <span>%s</span>'
	),

    array(
        'label' =>esc_html__( 'Room Single Accordion', 'hotelier' ),
        'type' => 'sub_heading'
    ),
    
    array(
		'title' =>esc_html__('Title', 'hotelier'),
		'type' => 'text',
        'id' => 'title',
        'std' => 'special offers'
	),
	array(
		'title' =>esc_html__('Sub Title', 'hotelier'),
		'type' => 'text',
        'id' => 'sub_title',
        'std' => 'Exclusive Offers for Our Guests'
	),
    array(
		'title' =>esc_html__('view details', 'hotelier'),
		'type' => 'text',
        'id' => 'view_details',
        'std' => 'view details +'
	),
    array(
        'label' =>esc_html__( 'Room Single Slide Show', 'hotelier' ),
        'type' => 'sub_heading'
    ),
    array(
		'title' =>esc_html__('Max People', 'hotelier'),
		'type' => 'text',
        'id' => 'max_peoples',
        'std' => 'Max Occupancy: '
	),
    array(
		'title' =>esc_html__('Price From', 'hotelier'),
		'type' => 'text',
        'id' => 'price',
        'std' => 'From'
	),
    array(
		'label' =>esc_html__( 'Error 404', 'hotelier' ),
		'type' => 'sub_heading'
	),

    array(
		'label' =>esc_html__( 'Title', 'hotelier' ),
        'desc' =>esc_html__( '404', 'hotelier' ),
		'id' => 'error-404-title',
        'type' => 'text',
        'std' => '404'
	),

    array(
		'label' =>esc_html__( 'Subtitle', 'hotelier' ),
        'desc' =>esc_html__( 'error', 'hotelier' ),
		'id' => 'error-404-subtitle',
        'type' => 'text',
        'std' => 'error'
	),
    
    array(
		'label' =>esc_html__( 'Heading', 'hotelier' ),
        'desc' =>esc_html__( 'page not found', 'hotelier' ),
		'id' => 'error-404-heading',
        'type' => 'text',
        'std' => 'page not found'
	),
    
    array(
		'label' =>esc_html__( 'Subheading', 'hotelier' ),
        'desc' =>esc_html__( 'You seem to have gotten lost!', 'hotelier' ),
		'id' => 'error-404-subheading',
        'type' => 'text',
        'std' => 'You seem to have gotten lost!'
	),

    array(
		'label' =>esc_html__( 'Text', 'hotelier' ),
        'desc' =>esc_html__( '404 Page Short Description', 'hotelier' ),
		'id' => 'error-404-text',
        'type' => 'textarea',
        'rows' => 3,
        'std' => 'We are sorry, but the page you are looking for does not exist on this website.You may have accidently typed in the wrong address, or followed an expired link. Try clicking on one of the links below to access other pages on this site.'
	),
    
    array(
		'label' =>esc_html__( 'Laft Side Image', 'hotelier' ),
        'desc' =>esc_html__( 'Upload Image For 404 Page Laft Side Background', 'hotelier' ),
		'id' => 'error-404-image',
        'type' => 'upload'
	)

);

$spyropress_theme_settings['plugins'] = array(

	array(
        'label' =>esc_html__( 'Settings', 'hotelier' ),
        'type' => 'heading',
        'slug' => 'plugins',
        'icon' => 'module-icon-general'
    ),

    array(
		'label' =>esc_html__( 'Email Settings', 'hotelier' ),
		'type' => 'sub_heading'
	),

    array(
		'label' =>esc_html__( 'Sender Name', 'hotelier' ),
        'desc' =>esc_html__( 'For example sender name is "WordPress".', 'hotelier' ),
		'id' => 'mail_from_name',
        'type' => 'text'
	),

    array(
		'label' =>esc_html__( 'Sender Email Address', 'hotelier' ),
        'desc' =>esc_html__( 'For example sender email address is wordpress@yoursite.com.', 'hotelier' ),
		'id' => 'mail_from_email',
        'type' => 'text'
	),

    array(
        'label' =>esc_html__( 'Twitter oAuth Settings', 'hotelier' ),
        'type' => 'sub_heading',
    ),

    array(
        'label' =>esc_html__( 'Twitter Username', 'hotelier' ),
        'id' => 'twitter_username',
        'type' => 'text'
    ),

    array(
        'label' =>esc_html__( 'Consumer Key', 'hotelier' ),
        'id' => 'twitter_consumer_key',
        'type' => 'text'
    ),

    array(
        'label' =>esc_html__( 'Consumer Secret', 'hotelier' ),
        'id' => 'twitter_consumer_secret',
        'type' => 'text'
    ),

    array(
        'label' =>esc_html__( 'Access Token', 'hotelier' ),
        'id' => 'twitter_access_token',
        'type' => 'text'
    ),

    array(
        'label' =>esc_html__( 'Access Token Secret', 'hotelier' ),
        'id' => 'twitter_access_token_secret',
        'type' => 'text'
    ),

    array(
		'label' =>esc_html__( 'WP-Pagenavi', 'hotelier' ),
		'type' => 'toggle'
	),

    array(
		'label' =>esc_html__( 'Text For Number Of Pages', 'hotelier' ),
		'type' => 'text',
        'id' => 'pagination_pages_text',
        'desc' =>   '%CURRENT_PAGE% - ' .esc_html__( 'The current page number.', 'hotelier' ) .
                    '<br />%TOTAL_PAGES% - ' .esc_html__( 'The total number of pages.', 'hotelier' ),
        'std' =>esc_html__( 'Page %CURRENT_PAGE% of %TOTAL_PAGES%', 'hotelier' ),
	),

    array(
		'label' =>esc_html__( 'Text For Current Page', 'hotelier' ),
		'type' => 'text',
        'id' => 'pagination_current_text',
        'desc' => '%PAGE_NUMBER% - '.__( 'The page number.', 'hotelier' ),
        'std' => '%PAGE_NUMBER%'
	),

    array(
		'label' =>esc_html__( 'Text For Page', 'hotelier' ),
		'type' => 'text',
        'id' => 'pagination_page_text',
        'desc' => '%PAGE_NUMBER% - ' .__( 'The page number.', 'hotelier' ),
        'std' => '%PAGE_NUMBER%'
	),

    array(
		'label' =>esc_html__( 'Text For First Page', 'hotelier' ),
		'type' => 'text',
        'id' => 'pagination_first_text',
        'desc' => '%TOTAL_PAGES% - ' .__( 'The total number of pages.', 'hotelier' ),
        'std' => '&laquo; First'
	),

    array(
		'label' =>esc_html__( 'Text For Last Page', 'hotelier' ),
		'type' => 'text',
        'id' => 'pagination_last_text',
        'desc' => '%TOTAL_PAGES% - ' .__( 'The total number of pages.', 'hotelier' ),
        'std' => 'Last &raquo;'
	),

    array(
		'label' =>esc_html__( 'Text For Previous Page', 'hotelier' ),
		'type' => 'text',
        'id' => 'pagination_prev_text',
        'std' => '&laquo;'
	),

    array(
		'label' =>esc_html__( 'Text For Next Page', 'hotelier' ),
		'type' => 'text',
        'id' => 'pagination_next_text',
        'std' => '&raquo;'
	),

    array(
		'label' =>esc_html__( 'Text For Previous &hellip;', 'hotelier' ),
		'type' => 'text',
        'id' => 'pagination_dotleft_text',
        'std' => '&hellip;'
	),

    array(
		'label' =>esc_html__( 'Text For Next &hellip;', 'hotelier' ),
		'type' => 'text',
        'id' => 'pagination_dotright_text',
        'std' => '&hellip;'
    ),

    array(
        'label' =>esc_html__( 'Page Navigation Text', 'hotelier' ),
        'type' => 'sub_heading',
        'desc' =>esc_html__( 'Leaving a field blank will hide that part of the navigation.', 'hotelier' ),
    ),

    array(
		'label' =>esc_html__( 'Always Show Page Navigation', 'hotelier' ),
		'type' => 'checkbox',
        'id' => 'pagination_always_show',
        'options' => array(
            1 =>esc_html__( 'Show navigation even if there\'s only one page.', 'hotelier' ),
        )
    ),

    array(
		'label' =>esc_html__( 'Number Of Pages To Show', 'hotelier' ),
		'type' => 'text',
        'id' => 'pagination_num_pages',
        'std' => 5
    ),

    array(
		'label' =>esc_html__( 'Number Of Larger Page Numbers To Show', 'hotelier' ),
		'type' => 'text',
        'id' => 'pagination_num_larger_page_numbers',
        'desc' =>esc_html__( 'Larger page numbers are in addition to the normal page numbers. They are useful when there are many pages of posts.', 'hotelier' ),
        'std' => 3
    ),

    array(
		'label' =>esc_html__( 'Show Larger Page Numbers In Multiples Of', 'hotelier' ),
		'type' => 'text',
        'id' => 'pagination_larger_page_numbers_multiple',
        'desc' =>esc_html__( 'For example, if mutiple is 5, it will show: 5, 10, 15, 20, 25', 'hotelier' ),
        'std' => 10
    ),

    array(
		'type' => 'toggle_end'
	),

); // END PLUGINS

$spyropress_theme_settings['separator'] = array(

	array ( 'type' => 'separator' )

); // END Separator

$spyropress_theme_settings['import'] = array(

	array (
        'label' =>esc_html__( 'Import / Export', 'hotelier' ),
        'type' => 'heading',
        'slug' => 'import-export',
        'icon' => 'module-icon-import'
    ),
    
    array(
        'type' => 'import_dummy'
	),

    array(
        'type' => 'import'
	),

    array(
        'type' => 'export'
	),
); // END Import/Export

$spyropress_theme_settings['support'] = array(

	array (
        'label' =>esc_html__( 'Support', 'hotelier' ),
        'type' => 'heading',
        'slug' => 'support',
        'icon' => 'module-icon-support'
    ),

    array(
		'id' => 'admin/docs-support.php',
        'type' => 'include'
	)

); // END Separator