<?php
//Check
if( !get_setting( 'related_post_enable', false ) ) return;
//Get Theme Option Values.
$spyropress_limit = get_setting( 'related_post_number', 4 );
$spyropress_related_by = get_setting( 'related_post_by' );

global $post;
$spyropress_args = array(
    'post__not_in'      => array( $post->ID ),
    'posts_per_page'    => $spyropress_limit,
    'ignore_sticky_posts'  => 1,
    'post_type'         => 'post'
);

// by tags
if( 'post_tag' == $spyropress_related_by ) {
    $spyropress_tags = wp_get_post_terms( $post->ID, 'post_tag' );
    if ( $spyropress_tags ) {
        $spyropress_tag_ids = array();
        foreach( $spyropress_tags as $spyropress_individual_tag ){
            $spyropress_tag_ids[] = $spyropress_individual_tag->term_id;
            $spyropress_args['tax_query'] = array(
                array(
                    'taxonomy' => 'post_tag',
                    'field' => 'id',
                    'terms' => $spyropress_tag_ids
                )
            );
        }   
    }
}
// by category
elseif( 'category' == $spyropress_related_by ) {
    $spyropress_categories = wp_get_post_terms( $post->ID, 'category' );
    if ( $spyropress_categories ) {
        $spyropress_category_ids = array();
        foreach( $spyropress_categories as $spyropress_individual_category ){
            $spyropress_category_ids[] = $spyropress_individual_category->term_id;
            $spyropress_args['tax_query'] = array(
                array(
                    'taxonomy' => 'category',
                    'field' => 'id',
                    'terms' => $spyropress_category_ids
                )
            );
        }  
    }
}

if( !isset ( $spyropress_args['tax_query'] ) ) return;
$spyropress_my_query = new wp_query( $spyropress_args );
if( $spyropress_my_query->have_posts() ) {
?>
    <div class="row">
    	<div class="col-xs-12 col-sm-12 col-md-12 col-centered">
    		<div class="might-like">
    			<h3 class="title"><?php echo get_setting( 'related_post_title', 'Related Posts' ); ?></h3>
    			<ul>
                    <?php
                        static $spyropress_counter = 1;
                        while( $spyropress_my_query->have_posts() ) {
                            $spyropress_my_query->the_post();
                             
                            if ( $spyropress_counter == 3 ||  $spyropress_counter == 1)
                                print '<div class="row-fluid">';            
                    ?>
                        <li class="col-xs-12 col-sm-4 col-md-4">
                			<?php get_image( array( 'class' => 'img-responsive' ) ); ?>
                			<div class="detail">
                				<a href="<?php the_permalink(); ?>"><?php the_title(); ?> <span>+</span></a>
                			</div>
                		</li> 
                    <!-- .post-related-posts end -->
                    <?php 
                        wp_reset_postdata();
                    } 
                    ?>
                </ul>
            </div>
        </div>
    </div>
<?php }


