<?php
    //Get Page Option Value
    $spyropress_options = get_post_meta( get_the_ID(), '_page_options', true );
    if( isset( $spyropress_options['breadcrumb'] ) && !empty( $spyropress_options['breadcrumb'] ) || get_setting( 'breadcrumb' ) ) return; //check page option.
    $spyropress_style = isset( $spyropress_options['breadcrumb_style'] )? $spyropress_options['breadcrumb_style'] : get_setting( 'breadcrumb_style', 'v1' );
    if( 'v1' == $spyropress_style ): 
?>
    <div class="title-color">
    	<div class="container">
    		<h2><?php echo get_the_title( get_queried_object_id() ); ?></h2>
    		<ol class="breadcrumb">
    			<?php                    
                    if(function_exists('bcn_display')) {
                        bcn_display_list();
                    }  
                ?>
    		</ol>
    	</div>
    </div>
<?php 
    elseif( 'v2' == $spyropress_style): 
        $spyropress_bg = isset( $spyropress_options['breadcrumb_bg'] )? $spyropress_options['breadcrumb_bg'] : get_setting( 'breadcrumb_bg' );
        $spyropress_breadcrumb_description = isset( $spyropress_options['breadcrumb_description'] )? $spyropress_options['breadcrumb_description'] : get_setting( 'breadcrumb_description' );
        $spyropress_breadcrumb_heading = isset( $spyropress_options['breadcrumb_heading'] )? $spyropress_options['breadcrumb_heading'] : get_setting( 'breadcrumb_heading' );
?>
    <div class="banner-accommo">
        <?php 
            //Background.
            if( $spyropress_bg ){
                echo '<img src="'. esc_url( $spyropress_bg ) .'" alt="" />';
            }
        ?>
		<div class="flex-caption">
            <?php 
                //Heading.
                if( $spyropress_breadcrumb_heading ){
                    echo '<div class="hidden-xs col-sm-10 col-md-10 col-centered center-block"><h1>'. esc_html( $spyropress_breadcrumb_heading ) .'</h1></div>';
                }
                //Description.
                if( $spyropress_breadcrumb_description ){
                    echo '<div class="hidden-xs col-sm-7 col-md-7 col-centered center-block"><p>'. esc_html( $spyropress_breadcrumb_description ) .'</p></div>';
                }
            ?>
		</div>
	</div>
<?php elseif( 'v3' == $spyropress_style ): ?>
    <div class="blog">
        <div class="title-bar">
            <div class="container">
            	<h2><?php echo get_the_title( get_queried_object_id() ); ?></h2>
            	<ol class="breadcrumb">
            		<?php                    
                        if(function_exists('bcn_display')) {
                            bcn_display_list();
                        }  
                    ?>
            	</ol>
            </div>
        </div>
    </div>
<?php endif;